import * as i0 from '@angular/core';
import { forwardRef, HostListener, Directive, CUSTOM_ELEMENTS_SCHEMA, NgModule, Input, Component, booleanAttribute, EventEmitter, Output, numberAttribute, TemplateRef } from '@angular/core';
import { NG_VALUE_ACCESSOR, CheckboxControlValueAccessor } from '@angular/forms';
import { NgTemplateOutlet, NgIf } from '@angular/common';
export * from '@abgov/ui-components-common';

// @deprecated: Use the new <goab-input .. /> component
class ValueDirective {
    get value() {
        return this._value;
    }
    set value(val) {
        this._value = val;
        this.onChange(this._value);
        this.onTouched();
        this.elementRef.nativeElement.value = val;
    }
    writeValue(value) {
        this.value = value;
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this._disabled = isDisabled;
        this.elementRef.nativeElement.disabled = isDisabled;
    }
    constructor(elementRef) {
        this.elementRef = elementRef;
        this._value = "";
        this._disabled = false;
        /* eslint-disable @typescript-eslint/no-explicit-any */
        this.onChange = () => { };
        this.onTouched = () => { };
    }
    listenForValueChange(value) {
        this.value = value;
    }
    listenForDisabledChange(isDisabled) {
        this.setDisabledState(isDisabled);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: ValueDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.3", type: ValueDirective, selector: "[goaValue]", host: { listeners: { "_change": "listenForValueChange($event.detail.value)", "disabledChange": "listenForDisabledChange($event.detail.disabled)" } }, providers: [{
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => ValueDirective),
                multi: true,
            }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: ValueDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: "[goaValue]", providers: [{
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => ValueDirective),
                            multi: true,
                        }],
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { listenForValueChange: [{
                type: HostListener,
                args: ["_change", ["$event.detail.value"]]
            }], listenForDisabledChange: [{
                type: HostListener,
                args: ["disabledChange", ["$event.detail.disabled"]]
            }] } });
class ValueListDirective {
    get value() {
        return this._value;
    }
    set value(val) {
        if (val && val !== this._value) {
            this._setValue(val);
            this.elementRef.nativeElement.value = JSON.stringify(val);
        }
    }
    writeValue(value) {
        if (value) {
            this.value = value;
        }
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    constructor(elementRef) {
        this.elementRef = elementRef;
        this._value = [];
        this.onChange = () => { };
        this.onTouched = () => { };
    }
    listenForValueChange(value) {
        if (!value) {
            this._setValue(undefined);
            return;
        }
        try {
            this.value = JSON.parse(value);
        }
        catch (e) {
            // we still need to trigger the events to prevent any previous valid value to remain set.
            const v = value.match(/^[\w\s,]*$/) ? value.split(",") : undefined;
            this._setValue(v);
        }
    }
    _setValue(value) {
        this._value = value;
        this.onChange(value);
        this.onTouched();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: ValueListDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.3", type: ValueListDirective, selector: "[goaValueList]", host: { listeners: { "_change": "listenForValueChange($event.detail.value)" } }, providers: [{
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => ValueListDirective),
                multi: true,
            }], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: ValueListDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: "[goaValueList]",
                    providers: [{
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => ValueListDirective),
                            multi: true,
                        }],
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { listenForValueChange: [{
                type: HostListener,
                args: ["_change", ["$event.detail.value"]]
            }] } });

// @deprecated: Use the new <goab-checkbox .. /> component
class CheckedDirective extends CheckboxControlValueAccessor {
    constructor(renderer, elementRef) {
        super(renderer, elementRef);
        this.renderer = renderer;
        this.elementRef = elementRef;
        this._checked = false;
        /* eslint-disable @typescript-eslint/no-explicit-any */
        this.onChange = () => { };
        this.onTouched = () => { };
    }
    get value() {
        return this._checked ? "checked" : "";
    }
    set value(checked) {
        this._checked = !!checked;
        this.onChange(this._checked);
        this.onTouched();
        this.elementRef.nativeElement.checked = checked;
    }
    writeValue(checked) {
        this.value = checked;
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    listenForValueChange(checked) {
        this.value = checked;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: CheckedDirective, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.0.3", type: CheckedDirective, selector: "[goaChecked]", host: { listeners: { "_change": "listenForValueChange($event.detail.checked)" } }, providers: [
            {
                useExisting: forwardRef(() => CheckedDirective),
                provide: NG_VALUE_ACCESSOR,
                multi: true,
            },
        ], usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: CheckedDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: "[goaChecked]",
                    providers: [
                        {
                            useExisting: forwardRef(() => CheckedDirective),
                            provide: NG_VALUE_ACCESSOR,
                            multi: true,
                        },
                    ],
                }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }], propDecorators: { listenForValueChange: [{
                type: HostListener,
                args: ["_change", ["$event.detail.checked"]]
            }] } });

class AngularComponentsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: AngularComponentsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.0.3", ngImport: i0, type: AngularComponentsModule, declarations: [ValueDirective, ValueListDirective, CheckedDirective], exports: [ValueDirective, ValueListDirective, CheckedDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: AngularComponentsModule }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: AngularComponentsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [ValueDirective, ValueListDirective, CheckedDirective],
                    exports: [ValueDirective, ValueListDirective, CheckedDirective],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

class GoabBaseComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabBaseComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabBaseComponent, isStandalone: true, selector: "ng-component", inputs: { mt: "mt", mb: "mb", ml: "ml", mr: "mr", testId: "testId" }, ngImport: i0, template: ``, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabBaseComponent, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    template: ``, //** IMPLEMENT IN SUBCLASS
                }]
        }], propDecorators: { mt: [{
                type: Input
            }], mb: [{
                type: Input
            }], ml: [{
                type: Input
            }], mr: [{
                type: Input
            }], testId: [{
                type: Input
            }] } });
/**
 * An abstract base class that extends `GoabBaseComponent` and implements the `ControlValueAccessor` interface.
 * This class provides a foundation for creating custom form controls in Angular, enabling them to integrate
 * seamlessly with Angular forms. It includes support for handling value changes, touch events, and disabled states.
 *
 * ## Features
 * - Supports `disabled="true"` and `error="true` attribute bindings for convenience.
 * - Handles form control value changes and touch events via `ControlValueAccessor` methods.
 * - Allows for flexible value types (`unknown`), making it suitable for various data types like integers, dates, or booleans.
 *
 * ## Usage
 * Extend this class to create custom form controls. Implement additional functionality as needed for your specific use case.
 *
 * ## Properties
 * - `id?`: An optional identifier for the component.
 * - `disabled?`: A boolean indicating whether the component is disabled.
 * - `error?`: A boolean indicating whether the component is in an error state.
 * - `value?`: The current value of the component, which can be of any type.
 *
 * ## Methods
 * - `markAsTouched()`: Marks the component as touched and triggers the `fcTouched` callback if defined.
 * - `writeValue(value: unknown)`: Writes a new value to the form control.
 * - `registerOnChange(fn: any)`: Registers a function to handle changes in the form control value.
 * - `registerOnTouched(fn: any)`: Registers a function to handle touch events on the form control.
 * - `setDisabledState?(isDisabled: boolean)`: Sets the disabled state of the component.
 *
 * ## Callbacks
 * - `fcChange?`: A function to handle changes in the form control value.
 * - `fcTouched?`: A function to handle touch events on the form control.
 */
class GoabControlValueAccessor extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.touched = false;
    }
    /**
     * Marks the component as touched. If the component is not already marked as touched,
     * it triggers the `fcTouched` callback (if defined) and sets the `touched` property to `true`.
     */
    markAsTouched() {
        if (!this.touched) {
            this.fcTouched?.();
            this.touched = true;
        }
    }
    /**
     * Writes a new value to the form control.
     * @param {unknown} value - The value to write.
     */
    writeValue(value) {
        this.value = value;
    }
    /**
     * Registers a function to call when the form control value changes.
     * @param {function} fn - The function to call.
     */
    registerOnChange(fn) {
        this.fcChange = fn;
    }
    /**
     * Registers a function to call when the form control is touched.
     * @param {function} fn - The function to call.
     */
    registerOnTouched(fn) {
        this.fcTouched = fn;
    }
    /**
     * Sets the disabled state of the component.
     *
     * @param isDisabled - A boolean indicating whether the component should be disabled.
     */
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabControlValueAccessor, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabControlValueAccessor, isStandalone: true, selector: "ng-component", inputs: { id: "id", disabled: ["disabled", "disabled", booleanAttribute], error: ["error", "error", booleanAttribute], value: "value" }, usesInheritance: true, ngImport: i0, template: ``, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabControlValueAccessor, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    template: ``, //** IMPLEMENT IN SUBCLASS
                }]
        }], propDecorators: { id: [{
                type: Input
            }], disabled: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], error: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], value: [{
                type: Input
            }] } });

class GoabAccordion extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.onChange = new EventEmitter();
    }
    _onChange(e) {
        const detail = e.detail;
        this.onChange.emit(detail.open);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabAccordion, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabAccordion, isStandalone: true, selector: "goab-accordion", inputs: { heading: "heading", secondaryText: "secondaryText", open: ["open", "open", booleanAttribute], headingSize: "headingSize", headingContent: "headingContent", maxWidth: "maxWidth", iconPosition: "iconPosition" }, outputs: { onChange: "onChange" }, usesInheritance: true, ngImport: i0, template: `
    <goa-accordion
      [attr.heading]="heading"
      [attr.secondarytext]="secondaryText"
      [attr.open]="open"
      [attr.headingsize]="headingSize"
      [attr.maxwidth]="maxWidth"
      [attr.testid]="testId"
      [attr.iconposition]="iconPosition"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_change)="_onChange($event)"
    >
      <div slot="headingcontent">
        <ng-container [ngTemplateOutlet]="headingContent"></ng-container>
      </div>
      <ng-content></ng-content>
    </goa-accordion>
  `, isInline: true, dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabAccordion, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-accordion",
                    imports: [NgTemplateOutlet],
                    template: `
    <goa-accordion
      [attr.heading]="heading"
      [attr.secondarytext]="secondaryText"
      [attr.open]="open"
      [attr.headingsize]="headingSize"
      [attr.maxwidth]="maxWidth"
      [attr.testid]="testId"
      [attr.iconposition]="iconPosition"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_change)="_onChange($event)"
    >
      <div slot="headingcontent">
        <ng-container [ngTemplateOutlet]="headingContent"></ng-container>
      </div>
      <ng-content></ng-content>
    </goa-accordion>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { heading: [{
                type: Input
            }], secondaryText: [{
                type: Input
            }], open: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], headingSize: [{
                type: Input
            }], headingContent: [{
                type: Input
            }], maxWidth: [{
                type: Input
            }], iconPosition: [{
                type: Input
            }], onChange: [{
                type: Output
            }] } });

class GoabBadge extends GoabBaseComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabBadge, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabBadge, isStandalone: true, selector: "goab-badge", inputs: { type: "type", content: "content", icon: ["icon", "icon", booleanAttribute], ariaLabel: "ariaLabel" }, usesInheritance: true, ngImport: i0, template: `
    <goa-badge
      [attr.type]="type"
      [attr.icon]="icon"
      [attr.arialabel]="ariaLabel"
      [attr.content]="content"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
    </goa-badge>
  `, isInline: true, styles: [":host{display:contents}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabBadge, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: "goab-badge", template: `
    <goa-badge
      [attr.type]="type"
      [attr.icon]="icon"
      [attr.arialabel]="ariaLabel"
      [attr.content]="content"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
    </goa-badge>
  `, schemas: [CUSTOM_ELEMENTS_SCHEMA], styles: [":host{display:contents}\n"] }]
        }], propDecorators: { type: [{
                type: Input
            }], content: [{
                type: Input
            }], icon: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], ariaLabel: [{
                type: Input
            }] } });

class GoabBlock extends GoabBaseComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabBlock, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabBlock, isStandalone: true, selector: "goab-block", inputs: { gap: "gap", direction: "direction", alignment: "alignment" }, usesInheritance: true, ngImport: i0, template: `
    <goa-block
      [attr.gap]="gap"
      [attr.direction]="direction"
      [attr.alignment]="alignment"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-block>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabBlock, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-block",
                    template: `
    <goa-block
      [attr.gap]="gap"
      [attr.direction]="direction"
      [attr.alignment]="alignment"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-block>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { gap: [{
                type: Input
            }], direction: [{
                type: Input
            }], alignment: [{
                type: Input
            }] } });

class GoabButton extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.type = "primary";
        this.onClick = new EventEmitter();
        this.JSON = JSON;
    }
    _onClick() {
        this.onClick.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabButton, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabButton, isStandalone: true, selector: "goab-button", inputs: { type: "type", size: "size", variant: "variant", disabled: ["disabled", "disabled", booleanAttribute], leadingIcon: "leadingIcon", trailingIcon: "trailingIcon", width: "width", action: "action", actionArg: "actionArg", actionArgs: "actionArgs" }, outputs: { onClick: "onClick" }, usesInheritance: true, ngImport: i0, template: `
    <goa-button
      [attr.type]="type"
      [attr.size]="size"
      [attr.variant]="variant"
      [disabled]="disabled"
      [attr.leadingicon]="leadingIcon"
      [attr.trailingicon]="trailingIcon"
      [attr.width]="width"
      [attr.testid]="testId"
      [attr.action]="action"
      [attr.action-arg]="actionArg"
      [attr.action-args]="JSON.stringify(actionArgs)"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_click)="_onClick()"
    >
      <ng-content />
    </goa-button>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabButton, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-button",
                    template: `
    <goa-button
      [attr.type]="type"
      [attr.size]="size"
      [attr.variant]="variant"
      [disabled]="disabled"
      [attr.leadingicon]="leadingIcon"
      [attr.trailingicon]="trailingIcon"
      [attr.width]="width"
      [attr.testid]="testId"
      [attr.action]="action"
      [attr.action-arg]="actionArg"
      [attr.action-args]="JSON.stringify(actionArgs)"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_click)="_onClick()"
    >
      <ng-content />
    </goa-button>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { type: [{
                type: Input
            }], size: [{
                type: Input
            }], variant: [{
                type: Input
            }], disabled: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], leadingIcon: [{
                type: Input
            }], trailingIcon: [{
                type: Input
            }], width: [{
                type: Input
            }], action: [{
                type: Input
            }], actionArg: [{
                type: Input
            }], actionArgs: [{
                type: Input
            }], onClick: [{
                type: Output
            }] } });

class GoabButtonGroup extends GoabBaseComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabButtonGroup, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabButtonGroup, isStandalone: true, selector: "goab-button-group", inputs: { alignment: "alignment", gap: "gap" }, usesInheritance: true, ngImport: i0, template: `
    <goa-button-group
      [attr.alignment]="alignment"
      [attr.gap]="gap"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-button-group>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabButtonGroup, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-button-group",
                    template: `
    <goa-button-group
      [attr.alignment]="alignment"
      [attr.gap]="gap"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-button-group>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { alignment: [{
                type: Input
            }], gap: [{
                type: Input
            }] } });

class GoabCallout extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.type = "information";
        this.heading = "";
        this.size = "large";
        this.ariaLive = "off";
        this.iconTheme = "outline";
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCallout, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabCallout, isStandalone: true, selector: "goab-callout", inputs: { type: "type", heading: "heading", size: "size", maxWidth: "maxWidth", ariaLive: "ariaLive", iconTheme: "iconTheme" }, usesInheritance: true, ngImport: i0, template: `
    <goa-callout
      [attr.type]="type"
      [attr.heading]="heading"
      [attr.size]="size"
      [attr.maxwidth]="maxWidth"
      [attr.arialive]="ariaLive"
      [attr.icontheme]="iconTheme"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-callout>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCallout, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-callout",
                    template: `
    <goa-callout
      [attr.type]="type"
      [attr.heading]="heading"
      [attr.size]="size"
      [attr.maxwidth]="maxWidth"
      [attr.arialive]="ariaLive"
      [attr.icontheme]="iconTheme"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-callout>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { type: [{
                type: Input
            }], heading: [{
                type: Input
            }], size: [{
                type: Input
            }], maxWidth: [{
                type: Input
            }], ariaLive: [{
                type: Input
            }], iconTheme: [{
                type: Input
            }] } });

class GoabCard extends GoabBaseComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCard, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabCard, isStandalone: true, selector: "goab-card", inputs: { elevation: ["elevation", "elevation", numberAttribute], width: "width" }, usesInheritance: true, ngImport: i0, template: `
    <goa-card
      [attr.elevation]="elevation"
      [attr.width]="width"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-card>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCard, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-card",
                    template: `
    <goa-card
      [attr.elevation]="elevation"
      [attr.width]="width"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-card>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { elevation: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], width: [{
                type: Input
            }] } });

class GoabCardContent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCardContent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabCardContent, isStandalone: true, selector: "goab-card-content", ngImport: i0, template: `
    <goa-card-content>
      <ng-content />
    </goa-card-content>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCardContent, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-card-content",
                    template: `
    <goa-card-content>
      <ng-content />
    </goa-card-content>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class GoabCardActions {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCardActions, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabCardActions, isStandalone: true, selector: "goab-card-actions", ngImport: i0, template: `
    <goa-card-actions>
      <ng-content />
    </goa-card-actions>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCardActions, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-card-actions",
                    template: `
    <goa-card-actions>
      <ng-content />
    </goa-card-actions>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

class GoabCardImage {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCardImage, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabCardImage, isStandalone: true, selector: "goab-card-image", inputs: { src: "src", height: "height" }, ngImport: i0, template: `
    <goa-card-image
      [attr.src]="src"
      [attr.height]="height"
    >
      <ng-content />
    </goa-card-image>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCardImage, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-card-image",
                    template: `
    <goa-card-image
      [attr.src]="src"
      [attr.height]="height"
    >
      <ng-content />
    </goa-card-image>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }], propDecorators: { src: [{
                type: Input,
                args: [{ required: true }]
            }], height: [{
                type: Input,
                args: [{ required: true }]
            }] } });

class GoabCheckbox extends GoabControlValueAccessor {
    constructor() {
        super(...arguments);
        this.onChange = new EventEmitter();
    }
    getDescriptionAsString() {
        return typeof this.description === "string" ? this.description : "";
    }
    getDescriptionAsTemplate() {
        if (this.description) {
            return typeof this.description === "string" ? null : this.description;
        }
        return null;
    }
    _onChange(e) {
        const detail = e.detail;
        this.onChange.emit(detail);
        this.markAsTouched();
        this.fcChange?.(detail.binding === "check" ? detail.checked : detail.value || "");
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCheckbox, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabCheckbox, isStandalone: true, selector: "goab-checkbox", inputs: { name: "name", checked: ["checked", "checked", booleanAttribute], text: "text", value: "value", ariaLabel: "ariaLabel", description: "description", reveal: "reveal", revealArialLabel: "revealArialLabel", maxWidth: "maxWidth" }, outputs: { onChange: "onChange" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                multi: true,
                useExisting: forwardRef(() => GoabCheckbox),
            },
        ], usesInheritance: true, ngImport: i0, template: ` <goa-checkbox
    [attr.name]="name"
    [checked]="checked"
    [disabled]="disabled"
    [attr.error]="error"
    [attr.text]="text"
    [value]="value"
    [attr.testid]="testId"
    [attr.arialabel]="ariaLabel"
    [attr.description]="getDescriptionAsString()"
    [attr.revealarialabel]="revealArialLabel"
    [id]="id"
    [attr.maxwidth]="maxWidth"
    [attr.mt]="mt"
    [attr.mb]="mb"
    [attr.ml]="ml"
    [attr.mr]="mr"
    (_change)="_onChange($event)"
  >
    <ng-content />
    <div slot="description">
      <ng-container [ngTemplateOutlet]="getDescriptionAsTemplate()"></ng-container>
    </div>
    <div slot="reveal">
      <ng-container *ngIf="reveal" [ngTemplateOutlet]="reveal"></ng-container>
    </div>
  </goa-checkbox>`, isInline: true, dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCheckbox, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-checkbox",
                    template: ` <goa-checkbox
    [attr.name]="name"
    [checked]="checked"
    [disabled]="disabled"
    [attr.error]="error"
    [attr.text]="text"
    [value]="value"
    [attr.testid]="testId"
    [attr.arialabel]="ariaLabel"
    [attr.description]="getDescriptionAsString()"
    [attr.revealarialabel]="revealArialLabel"
    [id]="id"
    [attr.maxwidth]="maxWidth"
    [attr.mt]="mt"
    [attr.mb]="mb"
    [attr.ml]="ml"
    [attr.mr]="mr"
    (_change)="_onChange($event)"
  >
    <ng-content />
    <div slot="description">
      <ng-container [ngTemplateOutlet]="getDescriptionAsTemplate()"></ng-container>
    </div>
    <div slot="reveal">
      <ng-container *ngIf="reveal" [ngTemplateOutlet]="reveal"></ng-container>
    </div>
  </goa-checkbox>`,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            multi: true,
                            useExisting: forwardRef(() => GoabCheckbox),
                        },
                    ],
                    imports: [NgTemplateOutlet, NgIf],
                }]
        }], propDecorators: { name: [{
                type: Input
            }], checked: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], text: [{
                type: Input
            }], value: [{
                type: Input
            }], ariaLabel: [{
                type: Input
            }], description: [{
                type: Input
            }], reveal: [{
                type: Input
            }], revealArialLabel: [{
                type: Input
            }], maxWidth: [{
                type: Input
            }], onChange: [{
                type: Output
            }] } });

class GoabChip extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.content = "";
        this.onClick = new EventEmitter();
    }
    _onClick() {
        this.onClick.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabChip, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabChip, isStandalone: true, selector: "goab-chip", inputs: { leadingIcon: "leadingIcon", error: ["error", "error", booleanAttribute], deletable: ["deletable", "deletable", booleanAttribute], content: "content", variant: "variant", iconTheme: "iconTheme" }, outputs: { onClick: "onClick" }, usesInheritance: true, ngImport: i0, template: `<goa-chip
    [attr.leadingicon]="leadingIcon"
    [attr.variant]="variant"
    [attr.error]="error"
    [attr.deletable]="deletable"
    [attr.icontheme]="iconTheme"
    [attr.content]="content"
    [attr.testid]="testId"
    [attr.mt]="mt"
    [attr.mb]="mb"
    [attr.ml]="ml"
    [attr.mr]="mr"
    (_click)="_onClick()"
  >
    <ng-content />
  </goa-chip>`, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabChip, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-chip",
                    template: `<goa-chip
    [attr.leadingicon]="leadingIcon"
    [attr.variant]="variant"
    [attr.error]="error"
    [attr.deletable]="deletable"
    [attr.icontheme]="iconTheme"
    [attr.content]="content"
    [attr.testid]="testId"
    [attr.mt]="mt"
    [attr.mb]="mb"
    [attr.ml]="ml"
    [attr.mr]="mr"
    (_click)="_onClick()"
  >
    <ng-content />
  </goa-chip>`,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { leadingIcon: [{
                type: Input
            }], error: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], deletable: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], content: [{
                type: Input
            }], variant: [{
                type: Input
            }], iconTheme: [{
                type: Input
            }], onClick: [{
                type: Output
            }] } });

class GoabCircularProgress {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCircularProgress, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabCircularProgress, isStandalone: true, selector: "goab-circular-progress", inputs: { variant: "variant", size: "size", message: "message", visible: ["visible", "visible", booleanAttribute], progress: ["progress", "progress", numberAttribute], testId: "testId" }, ngImport: i0, template: `
    <goa-circular-progress
      [attr.variant]="variant"
      [attr.size]="size"
      [attr.message]="message"
      [attr.visible]="visible"
      [attr.progress]="progress"
      [attr.testid]="testId"
    >
    </goa-circular-progress>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabCircularProgress, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-circular-progress",
                    template: `
    <goa-circular-progress
      [attr.variant]="variant"
      [attr.size]="size"
      [attr.message]="message"
      [attr.visible]="visible"
      [attr.progress]="progress"
      [attr.testid]="testId"
    >
    </goa-circular-progress>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { variant: [{
                type: Input
            }], size: [{
                type: Input
            }], message: [{
                type: Input
            }], visible: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], progress: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], testId: [{
                type: Input
            }] } });

class GoabColumnLayout {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabColumnLayout, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabColumnLayout, isStandalone: true, selector: "goab-column-layout", ngImport: i0, template: `
    <goa-one-column-layout>
      <ng-content />
    </goa-one-column-layout>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabColumnLayout, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-column-layout",
                    template: `
    <goa-one-column-layout>
      <ng-content />
    </goa-one-column-layout>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

class GoabContainer extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.type = "interactive";
        this.accent = "filled";
        this.padding = "relaxed";
        this.width = "full";
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabContainer, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabContainer, isStandalone: true, selector: "goab-container", inputs: { type: "type", accent: "accent", padding: "padding", width: "width", maxWidth: "maxWidth", title: "title", actions: "actions" }, usesInheritance: true, ngImport: i0, template: `<goa-container
    [attr.type]="type"
    [attr.accent]="accent"
    [attr.padding]="padding"
    [attr.width]="width"
    [attr.maxwidth]="maxWidth"
    [attr.testid]="testId"
    [attr.mt]="mt"
    [attr.mb]="mb"
    [attr.ml]="ml"
    [attr.mr]="mr"
  >
    <div slot="title">
      <ng-container [ngTemplateOutlet]="title"></ng-container>
    </div>
    <ng-content />
    <div slot="actions">
      <ng-container [ngTemplateOutlet]="actions"></ng-container>
    </div>
  </goa-container>`, isInline: true, dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabContainer, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-container",
                    imports: [NgTemplateOutlet],
                    template: `<goa-container
    [attr.type]="type"
    [attr.accent]="accent"
    [attr.padding]="padding"
    [attr.width]="width"
    [attr.maxwidth]="maxWidth"
    [attr.testid]="testId"
    [attr.mt]="mt"
    [attr.mb]="mb"
    [attr.ml]="ml"
    [attr.mr]="mr"
  >
    <div slot="title">
      <ng-container [ngTemplateOutlet]="title"></ng-container>
    </div>
    <ng-content />
    <div slot="actions">
      <ng-container [ngTemplateOutlet]="actions"></ng-container>
    </div>
  </goa-container>`,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { type: [{
                type: Input
            }], accent: [{
                type: Input
            }], padding: [{
                type: Input
            }], width: [{
                type: Input
            }], maxWidth: [{
                type: Input
            }], title: [{
                type: Input
            }], actions: [{
                type: Input
            }] } });

class GoabDatePicker extends GoabControlValueAccessor {
    formatValue(val) {
        if (!val)
            return "";
        if (val instanceof Date) {
            return val.toISOString();
        }
        return val;
    }
    _onChange(e) {
        const detail = e.detail;
        this.onChange.emit(detail);
        this.markAsTouched();
        this.fcChange?.(detail.value);
    }
    constructor(elementRef) {
        super();
        this.elementRef = elementRef;
        this.onChange = new EventEmitter();
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
        this.elementRef.nativeElement.disabled = isDisabled;
    }
    listenDisabledChange(isDisabled) {
        this.setDisabledState(isDisabled);
    }
    writeValue(value) {
        this.value = value;
        const datePickerEl = this.elementRef?.nativeElement?.querySelector("goa-date-picker");
        if (datePickerEl) {
            if (!value) {
                datePickerEl.setAttribute("value", "");
            }
            else {
                datePickerEl.setAttribute("value", value instanceof Date ? value.toISOString() : value);
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabDatePicker, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabDatePicker, isStandalone: true, selector: "goab-date-picker", inputs: { name: "name", value: "value", min: "min", max: "max", type: "type", relative: "relative" }, outputs: { onChange: "onChange" }, host: { listeners: { "disabledChange": "listenDisabledChange($event.detail.disabled)" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                multi: true,
                useExisting: forwardRef(() => GoabDatePicker),
            },
        ], usesInheritance: true, ngImport: i0, template: ` <goa-date-picker
    [attr.name]="name"
    [attr.value]="formatValue(value)"
    [attr.min]="min"
    [attr.max]="max"
    [attr.error]="error"
    [attr.disabled]="disabled"
    [attr.relative]="relative"
    [attr.type]="type"
    [attr.testid]="testId"
    [attr.mt]="mt"
    [attr.mb]="mb"
    [attr.ml]="ml"
    [attr.mr]="mr"
    (_change)="_onChange($event)"
  >
  </goa-date-picker>`, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabDatePicker, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-date-picker",
                    template: ` <goa-date-picker
    [attr.name]="name"
    [attr.value]="formatValue(value)"
    [attr.min]="min"
    [attr.max]="max"
    [attr.error]="error"
    [attr.disabled]="disabled"
    [attr.relative]="relative"
    [attr.type]="type"
    [attr.testid]="testId"
    [attr.mt]="mt"
    [attr.mb]="mb"
    [attr.ml]="ml"
    [attr.mr]="mr"
    (_change)="_onChange($event)"
  >
  </goa-date-picker>`,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            multi: true,
                            useExisting: forwardRef(() => GoabDatePicker),
                        },
                    ],
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { name: [{
                type: Input
            }], value: [{
                type: Input
            }], min: [{
                type: Input
            }], max: [{
                type: Input
            }], type: [{
                type: Input
            }], relative: [{
                type: Input
            }], onChange: [{
                type: Output
            }], listenDisabledChange: [{
                type: HostListener,
                args: ["disabledChange", ["$event.detail.disabled"]]
            }] } });

class GoabDetails extends GoabBaseComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabDetails, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabDetails, isStandalone: true, selector: "goab-details", inputs: { heading: "heading", open: ["open", "open", booleanAttribute], maxWidth: "maxWidth" }, usesInheritance: true, ngImport: i0, template: `
    <goa-details
      [attr.heading]="heading"
      [attr.testid]="testId"
      [attr.open]="open"
      [attr.maxwidth]="maxWidth"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-details>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabDetails, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-details",
                    template: `
    <goa-details
      [attr.heading]="heading"
      [attr.testid]="testId"
      [attr.open]="open"
      [attr.maxwidth]="maxWidth"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-details>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { heading: [{
                type: Input,
                args: [{ required: true }]
            }], open: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], maxWidth: [{
                type: Input
            }] } });

class GoabDivider extends GoabBaseComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabDivider, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabDivider, isStandalone: true, selector: "goab-divider", usesInheritance: true, ngImport: i0, template: `
    <goa-divider
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
    </goa-divider>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabDivider, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-divider",
                    template: `
    <goa-divider
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
    </goa-divider>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }] });

class GoabDrawer {
    constructor() {
        this.onClose = new EventEmitter();
    }
    _onClose() {
        this.onClose.emit();
    }
    getHeadingAsString() {
        return this.heading instanceof TemplateRef ? "" : this.heading;
    }
    getHeadingAsTemplate() {
        if (!this.heading)
            return null;
        return this.heading instanceof TemplateRef ? this.heading : null;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabDrawer, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabDrawer, isStandalone: true, selector: "goab-drawer", inputs: { open: ["open", "open", booleanAttribute], position: "position", heading: "heading", maxSize: "maxSize", testId: "testId", actions: "actions" }, outputs: { onClose: "onClose" }, ngImport: i0, template: `
    <goa-drawer
      [open]="open"
      [attr.position]="position"
      [attr.heading]="getHeadingAsString()"
      [attr.maxsize]="maxSize"
      [attr.testid]="testId"
      (_close)="_onClose()"
    >
      <ng-content></ng-content>
      <div slot="heading">
        <ng-container [ngTemplateOutlet]="getHeadingAsTemplate()"></ng-container>
      </div>
      <div slot="actions">
        <ng-container [ngTemplateOutlet]="actions"></ng-container>
      </div>
    </goa-drawer>
  `, isInline: true, dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabDrawer, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-drawer",
                    imports: [NgTemplateOutlet],
                    template: `
    <goa-drawer
      [open]="open"
      [attr.position]="position"
      [attr.heading]="getHeadingAsString()"
      [attr.maxsize]="maxSize"
      [attr.testid]="testId"
      (_close)="_onClose()"
    >
      <ng-content></ng-content>
      <div slot="heading">
        <ng-container [ngTemplateOutlet]="getHeadingAsTemplate()"></ng-container>
      </div>
      <div slot="actions">
        <ng-container [ngTemplateOutlet]="actions"></ng-container>
      </div>
    </goa-drawer>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { open: [{
                type: Input,
                args: [{ required: true, transform: booleanAttribute }]
            }], position: [{
                type: Input,
                args: [{ required: true }]
            }], heading: [{
                type: Input
            }], maxSize: [{
                type: Input
            }], testId: [{
                type: Input
            }], actions: [{
                type: Input
            }], onClose: [{
                type: Output
            }] } });

// "disabled", "value", "id" is an exposed property of HTMLInputElement, no need to bind with attr
class GoabDropdown extends GoabControlValueAccessor {
    constructor() {
        super(...arguments);
        this.onChange = new EventEmitter();
    }
    _onChange(e) {
        const detail = e.detail;
        this.onChange.emit(detail);
        this.markAsTouched();
        this.fcChange?.(detail.value || "");
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabDropdown, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabDropdown, isStandalone: true, selector: "goab-dropdown", inputs: { name: "name", ariaLabel: "ariaLabel", ariaLabelledBy: "ariaLabelledBy", filterable: ["filterable", "filterable", booleanAttribute], leadingIcon: "leadingIcon", maxHeight: "maxHeight", multiselect: ["multiselect", "multiselect", booleanAttribute], native: ["native", "native", booleanAttribute], placeholder: "placeholder", width: "width", relative: "relative" }, outputs: { onChange: "onChange" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                multi: true,
                useExisting: forwardRef(() => GoabDropdown),
            },
        ], usesInheritance: true, ngImport: i0, template: `
    <goa-dropdown
      [attr.name]="name"
      [value]="value"
      [attr.arialabel]="ariaLabel"
      [attr.arialabelledby]="ariaLabelledBy"
      [disabled]="disabled"
      [attr.error]="error"
      [attr.filterable]="filterable"
      [attr.leadingicon]="leadingIcon"
      [attr.maxheight]="maxHeight"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      [attr.mt]="mt"
      [attr.multiselect]="multiselect"
      [attr.native]="native"
      [attr.placeholder]="placeholder"
      [attr.testid]="testId"
      [attr.width]="width"
      [attr.relative]="relative"
      [id]="id"
      (_change)="_onChange($event)"
    >
      <ng-content />
    </goa-dropdown>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabDropdown, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-dropdown",
                    template: `
    <goa-dropdown
      [attr.name]="name"
      [value]="value"
      [attr.arialabel]="ariaLabel"
      [attr.arialabelledby]="ariaLabelledBy"
      [disabled]="disabled"
      [attr.error]="error"
      [attr.filterable]="filterable"
      [attr.leadingicon]="leadingIcon"
      [attr.maxheight]="maxHeight"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      [attr.mt]="mt"
      [attr.multiselect]="multiselect"
      [attr.native]="native"
      [attr.placeholder]="placeholder"
      [attr.testid]="testId"
      [attr.width]="width"
      [attr.relative]="relative"
      [id]="id"
      (_change)="_onChange($event)"
    >
      <ng-content />
    </goa-dropdown>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            multi: true,
                            useExisting: forwardRef(() => GoabDropdown),
                        },
                    ],
                }]
        }], propDecorators: { name: [{
                type: Input
            }], ariaLabel: [{
                type: Input
            }], ariaLabelledBy: [{
                type: Input
            }], filterable: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], leadingIcon: [{
                type: Input
            }], maxHeight: [{
                type: Input
            }], multiselect: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], native: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], placeholder: [{
                type: Input
            }], width: [{
                type: Input
            }], relative: [{
                type: Input
            }], onChange: [{
                type: Output
            }] } });

class GoabDropdownItem {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabDropdownItem, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabDropdownItem, isStandalone: true, selector: "goab-dropdown-item", inputs: { value: "value", filter: "filter", label: "label", name: "name", mountType: "mountType" }, ngImport: i0, template: `
    <goa-dropdown-item
      [value]="value"
      [label]="label"
      [attr.filter]="filter"
      [attr.name]="name"
      [attr.mount]="mountType"
    >
    </goa-dropdown-item>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabDropdownItem, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-dropdown-item",
                    template: `
    <goa-dropdown-item
      [value]="value"
      [label]="label"
      [attr.filter]="filter"
      [attr.name]="name"
      [attr.mount]="mountType"
    >
    </goa-dropdown-item>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }], propDecorators: { value: [{
                type: Input
            }], filter: [{
                type: Input
            }], label: [{
                type: Input
            }], name: [{
                type: Input
            }], mountType: [{
                type: Input
            }] } });

class GoabFileUploadCard {
    constructor() {
        this.onCancel = new EventEmitter();
        this.onDelete = new EventEmitter();
    }
    _onCancel() {
        this.onCancel.emit({ filename: this.filename });
    }
    _onDelete() {
        this.onDelete.emit({ filename: this.filename });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFileUploadCard, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabFileUploadCard, isStandalone: true, selector: "goab-file-upload-card", inputs: { filename: "filename", size: ["size", "size", numberAttribute], type: "type", progress: ["progress", "progress", numberAttribute], error: "error", testId: "testId" }, outputs: { onCancel: "onCancel", onDelete: "onDelete" }, ngImport: i0, template: `<goa-file-upload-card
    [attr.filename]="filename"
    [attr.size]="size"
    [attr.type]="type"
    [attr.progress]="progress"
    [attr.error]="error"
    [attr.testid]="testId"
    (_cancel)="_onCancel()"
    (_delete)="_onDelete()"
  >
  </goa-file-upload-card>`, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFileUploadCard, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-file-upload-card",
                    template: `<goa-file-upload-card
    [attr.filename]="filename"
    [attr.size]="size"
    [attr.type]="type"
    [attr.progress]="progress"
    [attr.error]="error"
    [attr.testid]="testId"
    (_cancel)="_onCancel()"
    (_delete)="_onDelete()"
  >
  </goa-file-upload-card>`,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { filename: [{
                type: Input,
                args: [{ required: true }]
            }], size: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], type: [{
                type: Input
            }], progress: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], error: [{
                type: Input
            }], testId: [{
                type: Input
            }], onCancel: [{
                type: Output
            }], onDelete: [{
                type: Output
            }] } });

class GoabFileUploadInput extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.id = "";
        this.maxFileSize = "5MB";
        this.onSelectFile = new EventEmitter();
    }
    _onSelectFile(e) {
        const detail = e.detail;
        this.onSelectFile.emit(detail);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFileUploadInput, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabFileUploadInput, isStandalone: true, selector: "goab-file-upload-input", inputs: { id: "id", variant: "variant", maxFileSize: "maxFileSize", accept: "accept" }, outputs: { onSelectFile: "onSelectFile" }, usesInheritance: true, ngImport: i0, template: `<goa-file-upload-input
    [attr.variant]="variant"
    [attr.accept]="accept"
    [attr.maxfilesize]="maxFileSize"
    [attr.testid]="testId"
    [id]="id"
    [attr.mt]="mt"
    [attr.mb]="mb"
    [attr.mr]="mr"
    [attr.ml]="ml"
    (_selectFile)="_onSelectFile($event)"
  >
  </goa-file-upload-input>`, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFileUploadInput, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-file-upload-input",
                    template: `<goa-file-upload-input
    [attr.variant]="variant"
    [attr.accept]="accept"
    [attr.maxfilesize]="maxFileSize"
    [attr.testid]="testId"
    [id]="id"
    [attr.mt]="mt"
    [attr.mb]="mb"
    [attr.mr]="mr"
    [attr.ml]="ml"
    (_selectFile)="_onSelectFile($event)"
  >
  </goa-file-upload-input>`,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { id: [{
                type: Input
            }], variant: [{
                type: Input,
                args: [{ required: true }]
            }], maxFileSize: [{
                type: Input
            }], accept: [{
                type: Input
            }], onSelectFile: [{
                type: Output
            }] } });

class GoabFilterChip extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.content = "";
        this.onClick = new EventEmitter();
    }
    _onClick() {
        this.onClick.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFilterChip, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabFilterChip, isStandalone: true, selector: "goab-filter-chip", inputs: { error: ["error", "error", booleanAttribute], deletable: ["deletable", "deletable", booleanAttribute], content: "content", iconTheme: "iconTheme" }, outputs: { onClick: "onClick" }, usesInheritance: true, ngImport: i0, template: `<goa-filter-chip
    [attr.error]="error"
    [attr.icontheme]="iconTheme"
    [attr.content]="content"
    [attr.testid]="testId"
    [attr.mt]="mt"
    [attr.mb]="mb"
    [attr.ml]="ml"
    [attr.mr]="mr"
    (_click)="_onClick()"
  >
    <ng-content />
  </goa-filter-chip>`, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFilterChip, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-filter-chip",
                    template: `<goa-filter-chip
    [attr.error]="error"
    [attr.icontheme]="iconTheme"
    [attr.content]="content"
    [attr.testid]="testId"
    [attr.mt]="mt"
    [attr.mb]="mb"
    [attr.ml]="ml"
    [attr.mr]="mr"
    (_click)="_onClick()"
  >
    <ng-content />
  </goa-filter-chip>`,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { error: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], deletable: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], content: [{
                type: Input
            }], iconTheme: [{
                type: Input
            }], onClick: [{
                type: Output
            }] } });

class GoabAppFooter {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabAppFooter, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabAppFooter, isStandalone: true, selector: "goab-app-footer", inputs: { maxContentWidth: "maxContentWidth", testId: "testId", url: "url" }, ngImport: i0, template: `
    <goa-app-footer
      [attr.maxcontentwidth]="maxContentWidth"
      [attr.url]="url"
      [attr.testid]="testId"
    >
      <ng-content select="[slot=nav]" />
      <ng-content select="goab-app-footer-meta-section"></ng-content>
      <ng-content></ng-content>
    </goa-app-footer>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabAppFooter, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-app-footer",
                    template: `
    <goa-app-footer
      [attr.maxcontentwidth]="maxContentWidth"
      [attr.url]="url"
      [attr.testid]="testId"
    >
      <ng-content select="[slot=nav]" />
      <ng-content select="goab-app-footer-meta-section"></ng-content>
      <ng-content></ng-content>
    </goa-app-footer>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { maxContentWidth: [{
                type: Input
            }], testId: [{
                type: Input
            }], url: [{
                type: Input
            }] } });

class GoabAppFooterMetaSection {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabAppFooterMetaSection, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabAppFooterMetaSection, isStandalone: true, selector: "goab-app-footer-meta-section", inputs: { testId: "testId", slot: "slot" }, ngImport: i0, template: `
    <goa-app-footer-meta-section [attr.testid]="testId">
      <ng-content />
    </goa-app-footer-meta-section>
  `, isInline: true, styles: [":host{width:100%}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabAppFooterMetaSection, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: "goab-app-footer-meta-section", template: `
    <goa-app-footer-meta-section [attr.testid]="testId">
      <ng-content />
    </goa-app-footer-meta-section>
  `, schemas: [CUSTOM_ELEMENTS_SCHEMA], styles: [":host{width:100%}\n"] }]
        }], propDecorators: { testId: [{
                type: Input
            }], slot: [{
                type: Input,
                args: [{ required: true }]
            }] } });

class GoabAppFooterNavSection {
    constructor() {
        this.maxColumnCount = 1;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabAppFooterNavSection, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabAppFooterNavSection, isStandalone: true, selector: "goab-app-footer-nav-section", inputs: { heading: "heading", maxColumnCount: "maxColumnCount", testId: "testId", slot: "slot" }, ngImport: i0, template: `
    <goa-app-footer-nav-section
      [attr.maxcolumncount]="maxColumnCount"
      [attr.heading]="heading"
      [attr.testid]="testId"
    >
      <ng-content />
    </goa-app-footer-nav-section>
  `, isInline: true, styles: [":host{width:100%}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabAppFooterNavSection, decorators: [{
            type: Component,
            args: [{ standalone: true, selector: "goab-app-footer-nav-section", template: `
    <goa-app-footer-nav-section
      [attr.maxcolumncount]="maxColumnCount"
      [attr.heading]="heading"
      [attr.testid]="testId"
    >
      <ng-content />
    </goa-app-footer-nav-section>
  `, schemas: [CUSTOM_ELEMENTS_SCHEMA], styles: [":host{width:100%}\n"] }]
        }], propDecorators: { heading: [{
                type: Input
            }], maxColumnCount: [{
                type: Input
            }], testId: [{
                type: Input
            }], slot: [{
                type: Input,
                args: [{ required: true }]
            }] } });

class GoabPublicForm {
    constructor() {
        this.status = "complete";
        this.onInit = new EventEmitter();
        this.onComplete = new EventEmitter();
        this.onStateChange = new EventEmitter();
    }
    _onInit(e) {
        this.onInit.emit(e);
    }
    _onComplete(e) {
        const detail = e.detail;
        this.onComplete.emit(detail);
    }
    _onStateChange(e) {
        const detail = e.detail;
        this.onStateChange.emit(detail.data);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabPublicForm, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabPublicForm, isStandalone: true, selector: "goab-public-form", inputs: { status: "status", name: "name" }, outputs: { onInit: "onInit", onComplete: "onComplete", onStateChange: "onStateChange" }, ngImport: i0, template: `
  <goa-public-form
    [attr.status]="status"
    [attr.name]="name"
    (_init)="_onInit($event)"
    (_complete)="_onComplete($event)"
    (_stateChange)="_onStateChange($event)"
  >
    <ng-content />
  </goa-public-form>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabPublicForm, decorators: [{
            type: Component,
            args: [{
                    selector: "goab-public-form",
                    standalone: true,
                    template: `
  <goa-public-form
    [attr.status]="status"
    [attr.name]="name"
    (_init)="_onInit($event)"
    (_complete)="_onComplete($event)"
    (_stateChange)="_onStateChange($event)"
  >
    <ng-content />
  </goa-public-form>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }], propDecorators: { status: [{
                type: Input
            }], name: [{
                type: Input
            }], onInit: [{
                type: Output
            }], onComplete: [{
                type: Output
            }], onStateChange: [{
                type: Output
            }] } });

class GoabPublicFormPage extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.id = "";
        this.heading = "";
        this.subHeading = "";
        this.summaryHeading = "";
        this.sectionTitle = "";
        this.backUrl = "";
        this.type = "step";
        this.buttonText = "";
        this.buttonVisibility = "visible";
        this.first = false;
        this.last = false;
        /**
         * triggers when the form page continues to the next step
         */
        this.onContinue = new EventEmitter();
        /**
         * triggers when the user clicks the back link
         */
        this.onBack = new EventEmitter();
        /**
         * triggers when the form fieldset content changes
         */
        this.onFieldsetChange = new EventEmitter();
        /**
         * triggers when the form is completed
         */
        this.onComplete = new EventEmitter();
    }
    _onContinue(event) {
        this.onContinue.emit(event);
    }
    _onBack(event) {
        this.onBack.emit(event);
    }
    _onFieldsetChange(event) {
        const detail = event.detail;
        this.onFieldsetChange.emit(detail);
    }
    _onComplete(event) {
        const detail = event.detail;
        this.onComplete.emit(detail);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabPublicFormPage, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabPublicFormPage, isStandalone: true, selector: "goab-public-form-page", inputs: { id: "id", heading: "heading", subHeading: "subHeading", summaryHeading: "summaryHeading", sectionTitle: "sectionTitle", backUrl: "backUrl", type: "type", buttonText: "buttonText", buttonVisibility: "buttonVisibility", first: "first", last: "last" }, outputs: { onContinue: "onContinue", onBack: "onBack", onFieldsetChange: "onFieldsetChange", onComplete: "onComplete" }, usesInheritance: true, ngImport: i0, template: `
   <goa-public-form-page
     [id]="id"
     [attr.heading]="heading"
     [attr.sub-heading]="subHeading"
     [attr.section-title]="sectionTitle"
     [attr.back-url]="backUrl"
     [attr.type]="type"
     [attr.button-text]="buttonText"
     [attr.button-visibility]="buttonVisibility"
     [attr.first]="first"
     [attr.last]="last"
     [attr.summary-heading]="summaryHeading"
     [attr.mt]="mt"
     [attr.mr]="mr"
     [attr.mb]="mb"
     [attr.ml]="ml"
     (_continue)="_onContinue($event)"
     (_back)="_onBack($event)"
     (_fieldsetChange)="_onFieldsetChange($event)"
     (_complete)="_onComplete($event)"
   >
     <ng-content></ng-content>
   </goa-public-form-page>
 `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabPublicFormPage, decorators: [{
            type: Component,
            args: [{
                    selector: "goab-public-form-page",
                    standalone: true,
                    template: `
   <goa-public-form-page
     [id]="id"
     [attr.heading]="heading"
     [attr.sub-heading]="subHeading"
     [attr.section-title]="sectionTitle"
     [attr.back-url]="backUrl"
     [attr.type]="type"
     [attr.button-text]="buttonText"
     [attr.button-visibility]="buttonVisibility"
     [attr.first]="first"
     [attr.last]="last"
     [attr.summary-heading]="summaryHeading"
     [attr.mt]="mt"
     [attr.mr]="mr"
     [attr.mb]="mb"
     [attr.ml]="ml"
     (_continue)="_onContinue($event)"
     (_back)="_onBack($event)"
     (_fieldsetChange)="_onFieldsetChange($event)"
     (_complete)="_onComplete($event)"
   >
     <ng-content></ng-content>
   </goa-public-form-page>
 `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }], propDecorators: { id: [{
                type: Input
            }], heading: [{
                type: Input
            }], subHeading: [{
                type: Input
            }], summaryHeading: [{
                type: Input
            }], sectionTitle: [{
                type: Input
            }], backUrl: [{
                type: Input
            }], type: [{
                type: Input
            }], buttonText: [{
                type: Input
            }], buttonVisibility: [{
                type: Input
            }], first: [{
                type: Input
            }], last: [{
                type: Input
            }], onContinue: [{
                type: Output
            }], onBack: [{
                type: Output
            }], onFieldsetChange: [{
                type: Output
            }], onComplete: [{
                type: Output
            }] } });

class GoabPublicFormSummary {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabPublicFormSummary, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabPublicFormSummary, isStandalone: true, selector: "goab-public-form-summary", inputs: { heading: "heading" }, ngImport: i0, template: `
  <goa-public-form-summary
    [attr.heading]="heading"
  >
    <ng-content />
  </goa-public-form-summary>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabPublicFormSummary, decorators: [{
            type: Component,
            args: [{
                    selector: "goab-public-form-summary",
                    standalone: true,
                    template: `
  <goa-public-form-summary
    [attr.heading]="heading"
  >
    <ng-content />
  </goa-public-form-summary>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }], propDecorators: { heading: [{
                type: Input
            }] } });

class GoabFieldset {
    constructor() {
        this.dispatchOn = "continue";
        this.onChange = new EventEmitter();
        this.onContinue = new EventEmitter();
    }
    _onChange(event) {
        const detail = event.detail;
        this.onChange.emit(detail);
    }
    _onContinue(event) {
        const detail = event.detail;
        this.onContinue.emit(detail);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFieldset, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabFieldset, isStandalone: true, selector: "goab-fieldset", inputs: { id: "id", sectionTitle: "sectionTitle", dispatchOn: "dispatchOn" }, outputs: { onChange: "onChange", onContinue: "onContinue" }, ngImport: i0, template: `
    <goa-fieldset
      [attr.section-title]="sectionTitle"
      [attr.dispatch-on]="dispatchOn"
      [attr.id]="id"
      (_change)="_onChange($event)"
      (_continue)="_onContinue($event)"
    >
      <ng-content></ng-content>
    </goa-fieldset>`, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFieldset, decorators: [{
            type: Component,
            args: [{
                    selector: 'goab-fieldset',
                    template: `
    <goa-fieldset
      [attr.section-title]="sectionTitle"
      [attr.dispatch-on]="dispatchOn"
      [attr.id]="id"
      (_change)="_onChange($event)"
      (_continue)="_onContinue($event)"
    >
      <ng-content></ng-content>
    </goa-fieldset>`,
                    standalone: true,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { id: [{
                type: Input
            }], sectionTitle: [{
                type: Input
            }], dispatchOn: [{
                type: Input
            }], onChange: [{
                type: Output
            }], onContinue: [{
                type: Output
            }] } });

class GoabFormItem extends GoabBaseComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFormItem, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabFormItem, isStandalone: true, selector: "goab-form-item", inputs: { label: "label", labelSize: "labelSize", helpText: "helpText", error: "error", requirement: "requirement", maxWidth: "maxWidth", id: "id", publicFormSummaryOrder: "publicFormSummaryOrder", name: "name" }, usesInheritance: true, ngImport: i0, template: `
    <goa-form-item
      [attr.label]="label"
      [attr.labelsize]="labelSize"
      [attr.helptext]="helpText"
      [attr.error]="error"
      [attr.testid]="testId"
      [id]="id"
      [attr.name]="name"
      [attr.requirement]="requirement"
      [attr.maxwidth]="maxWidth"
      [attr.public-form-summary-order]="publicFormSummaryOrder"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.mr]="mr"
      [attr.ml]="ml"
    >
      <ng-content />
      <ng-content select="goab-form-item-slot"></ng-content>
    </goa-form-item>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFormItem, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-form-item",
                    template: `
    <goa-form-item
      [attr.label]="label"
      [attr.labelsize]="labelSize"
      [attr.helptext]="helpText"
      [attr.error]="error"
      [attr.testid]="testId"
      [id]="id"
      [attr.name]="name"
      [attr.requirement]="requirement"
      [attr.maxwidth]="maxWidth"
      [attr.public-form-summary-order]="publicFormSummaryOrder"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.mr]="mr"
      [attr.ml]="ml"
    >
      <ng-content />
      <ng-content select="goab-form-item-slot"></ng-content>
    </goa-form-item>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { label: [{
                type: Input
            }], labelSize: [{
                type: Input
            }], helpText: [{
                type: Input
            }], error: [{
                type: Input
            }], requirement: [{
                type: Input
            }], maxWidth: [{
                type: Input
            }], id: [{
                type: Input
            }], publicFormSummaryOrder: [{
                type: Input
            }], name: [{
                type: Input
            }] } });

/**
 * This component is used to define the slot for the form item component.
 * We need to use a separate component with a required attribute `slot` because
 * svelte component renders based on the `slot` of the wrapper component (which is `div` before)
 * // similar to app-footer-meta-section & app-footer-nav-section
 */
class GoabFormItemSlot {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFormItemSlot, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabFormItemSlot, isStandalone: true, selector: "goab-form-item-slot", inputs: { slot: "slot" }, ngImport: i0, template: `<ng-content></ng-content>`, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFormItemSlot, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-form-item-slot",
                    template: `<ng-content></ng-content>`,
                }]
        }], propDecorators: { slot: [{
                type: Input,
                args: [{ required: true }]
            }] } });

class GoabFormStep {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFormStep, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabFormStep, isStandalone: true, selector: "goab-form-step", inputs: { text: "text", status: "status" }, ngImport: i0, template: `
    <goa-form-step
      [attr.text]="text"
      [attr.status]="status"
    ></goa-form-step> `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFormStep, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-form-step",
                    template: `
    <goa-form-step
      [attr.text]="text"
      [attr.status]="status"
    ></goa-form-step> `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { text: [{
                type: Input
            }], status: [{
                type: Input
            }] } });

class GoabFormStepper extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.step = -1;
        this.onChange = new EventEmitter();
    }
    _onChange(e) {
        const detail = e.detail;
        this.onChange.emit(detail);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFormStepper, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabFormStepper, isStandalone: true, selector: "goab-form-stepper", inputs: { step: "step" }, outputs: { onChange: "onChange" }, usesInheritance: true, ngImport: i0, template: `
    <goa-form-stepper
      [attr.step]="step"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_change)="_onChange($event)"
    >
      <ng-content />
    </goa-form-stepper>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabFormStepper, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-form-stepper",
                    template: `
    <goa-form-stepper
      [attr.step]="step"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_change)="_onChange($event)"
    >
      <ng-content />
    </goa-form-stepper>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { step: [{
                type: Input
            }], onChange: [{
                type: Output
            }] } });

class GoabGrid extends GoabBaseComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabGrid, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabGrid, isStandalone: true, selector: "goab-grid", inputs: { minChildWidth: "minChildWidth", gap: "gap" }, usesInheritance: true, ngImport: i0, template: `
    <goa-grid
      [attr.gap]="gap"
      [attr.minchildwidth]="minChildWidth"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-grid>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabGrid, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-grid",
                    template: `
    <goa-grid
      [attr.gap]="gap"
      [attr.minchildwidth]="minChildWidth"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-grid>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { minChildWidth: [{
                type: Input,
                args: [{ required: true }]
            }], gap: [{
                type: Input
            }] } });

class GoabAppHeader {
    constructor() {
        this.onMenuClick = new EventEmitter();
    }
    _onMenuClick() {
        this.onMenuClick.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabAppHeader, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabAppHeader, isStandalone: true, selector: "goab-app-header", inputs: { url: "url", heading: "heading", maxContentWidth: "maxContentWidth", testId: "testId", fullMenuBreakpoint: ["fullMenuBreakpoint", "fullMenuBreakpoint", numberAttribute] }, outputs: { onMenuClick: "onMenuClick" }, ngImport: i0, template: `
    <goa-app-header
      [attr.url]="url"
      [attr.heading]="heading"
      [attr.maxcontentwidth]="maxContentWidth"
      [attr.fullmenubreakpoint]="fullMenuBreakpoint"
      [attr.testid]="testId"
      [attr.hasmenuclickhandler]="onMenuClick.observed ? 'true' : 'false'"
      (_menuClick)="_onMenuClick()"
    >
      <ng-content />
    </goa-app-header>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabAppHeader, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-app-header",
                    template: `
    <goa-app-header
      [attr.url]="url"
      [attr.heading]="heading"
      [attr.maxcontentwidth]="maxContentWidth"
      [attr.fullmenubreakpoint]="fullMenuBreakpoint"
      [attr.testid]="testId"
      [attr.hasmenuclickhandler]="onMenuClick.observed ? 'true' : 'false'"
      (_menuClick)="_onMenuClick()"
    >
      <ng-content />
    </goa-app-header>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { url: [{
                type: Input
            }], heading: [{
                type: Input
            }], maxContentWidth: [{
                type: Input
            }], testId: [{
                type: Input
            }], fullMenuBreakpoint: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], onMenuClick: [{
                type: Output
            }] } });

class GoabAppHeaderMenu {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabAppHeaderMenu, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabAppHeaderMenu, isStandalone: true, selector: "goab-app-header-menu", inputs: { leadingIcon: "leadingIcon", heading: "heading", testId: "testId" }, ngImport: i0, template: `
    <goa-app-header-menu
      [attr.leadingicon]="leadingIcon"
      [attr.heading]="heading"
      [attr.testid]="testId"
    >
      <ng-content />
    </goa-app-header-menu>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabAppHeaderMenu, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-app-header-menu",
                    template: `
    <goa-app-header-menu
      [attr.leadingicon]="leadingIcon"
      [attr.heading]="heading"
      [attr.testid]="testId"
    >
      <ng-content />
    </goa-app-header-menu>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }], propDecorators: { leadingIcon: [{
                type: Input
            }], heading: [{
                type: Input
            }], testId: [{
                type: Input
            }] } });

class GoabHeroBanner {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabHeroBanner, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabHeroBanner, isStandalone: true, selector: "goab-hero-banner", inputs: { heading: "heading", backgroundUrl: "backgroundUrl", minHeight: "minHeight", testId: "testId", maxContentWidth: "maxContentWidth", backgroundColor: "backgroundColor", textColor: "textColor", actions: "actions" }, ngImport: i0, template: `
    <goa-hero-banner
      [attr.heading]="heading"
      [attr.backgroundurl]="backgroundUrl"
      [attr.minheight]="minHeight"
      [attr.testid]="testId"
      [attr.maxcontentwidth]="maxContentWidth"
      [attr.backgroundColor]="backgroundColor"
      [attr.textcolor]="textColor"
    >
      <ng-content />
      <div slot="actions">
        <ng-container [ngTemplateOutlet]="actions"></ng-container>
      </div>
    </goa-hero-banner>
  `, isInline: true, dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabHeroBanner, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-hero-banner",
                    imports: [NgTemplateOutlet],
                    template: `
    <goa-hero-banner
      [attr.heading]="heading"
      [attr.backgroundurl]="backgroundUrl"
      [attr.minheight]="minHeight"
      [attr.testid]="testId"
      [attr.maxcontentwidth]="maxContentWidth"
      [attr.backgroundColor]="backgroundColor"
      [attr.textcolor]="textColor"
    >
      <ng-content />
      <div slot="actions">
        <ng-container [ngTemplateOutlet]="actions"></ng-container>
      </div>
    </goa-hero-banner>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { heading: [{
                type: Input
            }], backgroundUrl: [{
                type: Input
            }], minHeight: [{
                type: Input
            }], testId: [{
                type: Input
            }], maxContentWidth: [{
                type: Input
            }], backgroundColor: [{
                type: Input
            }], textColor: [{
                type: Input
            }], actions: [{
                type: Input
            }] } });

class GoabIcon extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.size = "medium";
        this.theme = "outline";
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabIcon, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabIcon, isStandalone: true, selector: "goab-icon", inputs: { type: "type", size: "size", theme: "theme", inverted: ["inverted", "inverted", booleanAttribute], fillColor: "fillColor", opacity: ["opacity", "opacity", numberAttribute], title: "title", ariaLabel: "ariaLabel" }, usesInheritance: true, ngImport: i0, template: `
    <goa-icon
      [attr.type]="type"
      [attr.theme]="theme"
      [attr.size]="size"
      [attr.inverted]="inverted"
      [attr.fillcolor]="fillColor"
      [attr.opacity]="opacity"
      [attr.title]="title"
      [attr.arialabel]="ariaLabel"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      [attr.testid]="testId"
    >
    </goa-icon>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabIcon, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-icon",
                    template: `
    <goa-icon
      [attr.type]="type"
      [attr.theme]="theme"
      [attr.size]="size"
      [attr.inverted]="inverted"
      [attr.fillcolor]="fillColor"
      [attr.opacity]="opacity"
      [attr.title]="title"
      [attr.arialabel]="ariaLabel"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      [attr.testid]="testId"
    >
    </goa-icon>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { type: [{
                type: Input,
                args: [{ required: true }]
            }], size: [{
                type: Input
            }], theme: [{
                type: Input
            }], inverted: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], fillColor: [{
                type: Input
            }], opacity: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], title: [{
                type: Input
            }], ariaLabel: [{
                type: Input
            }] } });

class GoabIconButton extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.size = "medium";
        this.onClick = new EventEmitter();
        this.JSON = JSON;
    }
    _onClick() {
        this.onClick.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabIconButton, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabIconButton, isStandalone: true, selector: "goab-icon-button", inputs: { icon: "icon", size: "size", variant: "variant", title: "title", disabled: ["disabled", "disabled", booleanAttribute], ariaLabel: "ariaLabel", action: "action", actionArg: "actionArg", actionArgs: "actionArgs" }, outputs: { onClick: "onClick" }, usesInheritance: true, ngImport: i0, template: `
    <goa-icon-button
      [attr.icon]="icon"
      [disabled]="disabled"
      [attr.size]="size"
      [attr.variant]="variant"
      [title]="title"
      [attr.arialabel]="ariaLabel"
      [attr.testid]="testId"
      [attr.action]="action"
      [attr.action-arg]="actionArg"
      [attr.action-args]="JSON.stringify(actionArgs)"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_click)="_onClick()"
    >
      <ng-content></ng-content>
    </goa-icon-button>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabIconButton, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-icon-button",
                    template: `
    <goa-icon-button
      [attr.icon]="icon"
      [disabled]="disabled"
      [attr.size]="size"
      [attr.variant]="variant"
      [title]="title"
      [attr.arialabel]="ariaLabel"
      [attr.testid]="testId"
      [attr.action]="action"
      [attr.action-arg]="actionArg"
      [attr.action-args]="JSON.stringify(actionArgs)"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_click)="_onClick()"
    >
      <ng-content></ng-content>
    </goa-icon-button>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { icon: [{
                type: Input,
                args: [{ required: true }]
            }], size: [{
                type: Input
            }], variant: [{
                type: Input
            }], title: [{
                type: Input
            }], disabled: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], ariaLabel: [{
                type: Input
            }], action: [{
                type: Input
            }], actionArg: [{
                type: Input
            }], actionArgs: [{
                type: Input
            }], onClick: [{
                type: Output
            }] } });

class GoabInput extends GoabControlValueAccessor {
    constructor() {
        super(...arguments);
        this.type = "text";
        this.textAlign = "left";
        this.onTrailingIconClick = new EventEmitter();
        this.onFocus = new EventEmitter();
        this.onBlur = new EventEmitter();
        this.onKeyPress = new EventEmitter();
        this.onChange = new EventEmitter();
        this.handleTrailingIconClick = false;
    }
    ngOnInit() {
        this.handleTrailingIconClick = this.onTrailingIconClick.observed;
        if (typeof this.value === "number") {
            console.warn("For numeric values use goab-input-number.");
        }
    }
    _onTrailingIconClick(_) {
        if (this.handleTrailingIconClick) {
            this.onTrailingIconClick.emit();
        }
    }
    _onChange(e) {
        this.markAsTouched();
        const detail = e.detail;
        this.onChange.emit(detail);
        this.fcChange?.(detail.value);
    }
    _onKeyPress(e) {
        this.markAsTouched();
        const detail = e.detail;
        this.onKeyPress.emit(detail);
        this.fcTouched?.();
    }
    _onFocus(e) {
        this.markAsTouched();
        const detail = e.detail;
        this.onFocus.emit(detail);
    }
    _onBlur(e) {
        const detail = e.detail;
        this.onBlur.emit(detail);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabInput, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabInput, isStandalone: true, selector: "goab-input", inputs: { type: "type", name: "name", debounce: ["debounce", "debounce", numberAttribute], autoCapitalize: "autoCapitalize", placeholder: "placeholder", leadingIcon: "leadingIcon", trailingIcon: "trailingIcon", variant: "variant", focused: ["focused", "focused", booleanAttribute], readonly: ["readonly", "readonly", booleanAttribute], width: "width", prefix: "prefix", suffix: "suffix", ariaLabel: "ariaLabel", maxLength: ["maxLength", "maxLength", numberAttribute], min: "min", max: "max", step: ["step", "step", numberAttribute], ariaLabelledBy: "ariaLabelledBy", trailingIconAriaLabel: "trailingIconAriaLabel", textAlign: "textAlign" }, outputs: { onTrailingIconClick: "onTrailingIconClick", onFocus: "onFocus", onBlur: "onBlur", onKeyPress: "onKeyPress", onChange: "onChange" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                multi: true,
                useExisting: forwardRef(() => GoabInput),
            },
        ], usesInheritance: true, ngImport: i0, template: `
    <goa-input
      [attr.type]="type"
      [attr.name]="name"
      [attr.focused]="focused"
      [attr.value]="value"
      [attr.autocapitalize]="autoCapitalize"
      [attr.placeholder]="placeholder"
      [attr.leadingicon]="leadingIcon"
      [attr.trailingicon]="trailingIcon"
      [attr.variant]="variant"
      [disabled]="disabled"
      [attr.readonly]="readonly"
      [attr.error]="error"
      [attr.data-testid]="testId"
      [attr.width]="width"
      [attr.arialabel]="ariaLabel"
      [attr.arialabelledby]="ariaLabelledBy"
      [attr.min]="min"
      [attr.max]="max"
      [attr.step]="step"
      [attr.prefix]="prefix"
      [attr.suffix]="suffix"
      [attr.debounce]="debounce"
      [attr.maxlength]="maxLength"
      [attr.id]="id"
      [attr.mt]="mt"
      [attr.mr]="mr"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.handletrailingiconclick]="!!_onTrailingIconClick"
      [attr.textalign]="textAlign"
      (_trailingIconClick)="_onTrailingIconClick($event)"
      (_change)="_onChange($event)"
      (_focus)="_onFocus($event)"
      (_blur)="_onBlur($event)"
      (_keyPress)="_onKeyPress($event)"
      [attr.trailingiconarialabel]="trailingIconAriaLabel"
    >
      <ng-content />
    </goa-input>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabInput, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-input",
                    template: `
    <goa-input
      [attr.type]="type"
      [attr.name]="name"
      [attr.focused]="focused"
      [attr.value]="value"
      [attr.autocapitalize]="autoCapitalize"
      [attr.placeholder]="placeholder"
      [attr.leadingicon]="leadingIcon"
      [attr.trailingicon]="trailingIcon"
      [attr.variant]="variant"
      [disabled]="disabled"
      [attr.readonly]="readonly"
      [attr.error]="error"
      [attr.data-testid]="testId"
      [attr.width]="width"
      [attr.arialabel]="ariaLabel"
      [attr.arialabelledby]="ariaLabelledBy"
      [attr.min]="min"
      [attr.max]="max"
      [attr.step]="step"
      [attr.prefix]="prefix"
      [attr.suffix]="suffix"
      [attr.debounce]="debounce"
      [attr.maxlength]="maxLength"
      [attr.id]="id"
      [attr.mt]="mt"
      [attr.mr]="mr"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.handletrailingiconclick]="!!_onTrailingIconClick"
      [attr.textalign]="textAlign"
      (_trailingIconClick)="_onTrailingIconClick($event)"
      (_change)="_onChange($event)"
      (_focus)="_onFocus($event)"
      (_blur)="_onBlur($event)"
      (_keyPress)="_onKeyPress($event)"
      [attr.trailingiconarialabel]="trailingIconAriaLabel"
    >
      <ng-content />
    </goa-input>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            multi: true,
                            useExisting: forwardRef(() => GoabInput),
                        },
                    ],
                }]
        }], propDecorators: { type: [{
                type: Input
            }], name: [{
                type: Input
            }], debounce: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], autoCapitalize: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], leadingIcon: [{
                type: Input
            }], trailingIcon: [{
                type: Input
            }], variant: [{
                type: Input
            }], focused: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], readonly: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], width: [{
                type: Input
            }], prefix: [{
                type: Input
            }], suffix: [{
                type: Input
            }], ariaLabel: [{
                type: Input
            }], maxLength: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], min: [{
                type: Input
            }], max: [{
                type: Input
            }], step: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], ariaLabelledBy: [{
                type: Input
            }], trailingIconAriaLabel: [{
                type: Input
            }], textAlign: [{
                type: Input
            }], onTrailingIconClick: [{
                type: Output
            }], onFocus: [{
                type: Output
            }], onBlur: [{
                type: Output
            }], onKeyPress: [{
                type: Output
            }], onChange: [{
                type: Output
            }] } });

class GoabInputNumber {
    constructor() {
        this.type = "number";
        this.textAlign = "right"; // Default to right for numbers
        this.value = null;
        this.onTrailingIconClick = new EventEmitter(); // Keep void type
        this.onFocus = new EventEmitter();
        this.onBlur = new EventEmitter();
        this.onKeyPress = new EventEmitter();
        this.onChange = new EventEmitter();
        this.handleTrailingIconClick = false;
        this.touched = false;
    }
    ngOnInit() {
        this.handleTrailingIconClick = this.onTrailingIconClick.observed;
    }
    _onTrailingIconClick(_) {
        if (this.handleTrailingIconClick) {
            this.onTrailingIconClick.emit();
        }
    }
    _onChange(e) {
        this.markAsTouched();
        const detail = e.detail;
        const stringValue = detail.value;
        let numericValue = null;
        if (stringValue !== null && stringValue.trim() !== "") {
            const parsed = parseFloat(stringValue);
            if (!isNaN(parsed)) {
                numericValue = parsed;
            }
        }
        this.value = numericValue;
        this.fcChange?.(numericValue);
        this.onChange.emit(detail);
    }
    _onKeyPress(e) {
        this.markAsTouched();
        const detail = e.detail;
        this.onKeyPress.emit(detail);
    }
    _onFocus(e) {
        this.markAsTouched();
        const detail = e.detail;
        this.onFocus.emit(detail);
    }
    _onBlur(e) {
        this.markAsTouched();
        const detail = e.detail;
        this.onBlur.emit(detail);
    }
    markAsTouched() {
        if (!this.touched) {
            this.fcTouched?.();
            this.touched = true;
        }
    }
    writeValue(value) {
        this.value = value === undefined ? null : value;
    }
    registerOnChange(fn) {
        this.fcChange = fn;
    }
    registerOnTouched(fn) {
        this.fcTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabInputNumber, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabInputNumber, isStandalone: true, selector: "goab-input-number", inputs: { type: "type", name: "name", id: "id", debounce: ["debounce", "debounce", numberAttribute], disabled: ["disabled", "disabled", booleanAttribute], autoCapitalize: "autoCapitalize", placeholder: "placeholder", leadingIcon: "leadingIcon", trailingIcon: "trailingIcon", variant: "variant", focused: ["focused", "focused", booleanAttribute], readonly: ["readonly", "readonly", booleanAttribute], error: ["error", "error", booleanAttribute], width: "width", prefix: "prefix", suffix: "suffix", testId: "testId", ariaLabel: "ariaLabel", maxLength: ["maxLength", "maxLength", numberAttribute], min: "min", max: "max", step: ["step", "step", numberAttribute], ariaLabelledBy: "ariaLabelledBy", mt: "mt", mr: "mr", mb: "mb", ml: "ml", trailingIconAriaLabel: "trailingIconAriaLabel", textAlign: "textAlign", value: "value" }, outputs: { onTrailingIconClick: "onTrailingIconClick", onFocus: "onFocus", onBlur: "onBlur", onKeyPress: "onKeyPress", onChange: "onChange" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                multi: true,
                // Use forwardRef with the new class name
                useExisting: forwardRef(() => GoabInputNumber),
            },
        ], ngImport: i0, template: `
    <goa-input
      [attr.type]="type"
      [attr.name]="name"
      [attr.focused]="focused"
      [attr.value]="value !== null ? value : ''"
      [attr.autocapitalize]="autoCapitalize"
      [attr.placeholder]="placeholder"
      [attr.leadingicon]="leadingIcon"
      [attr.trailingicon]="trailingIcon"
      [attr.variant]="variant"
      [disabled]="disabled"
      [attr.readonly]="readonly"
      [attr.error]="error"
      [attr.data-testid]="testId"
      [attr.width]="width"
      [attr.arialabel]="ariaLabel"
      [attr.arialabelledby]="ariaLabelledBy"
      [attr.min]="min"
      [attr.max]="max"
      [attr.step]="step"
      [attr.prefix]="prefix"
      [attr.suffix]="suffix"
      [attr.debounce]="debounce"
      [attr.maxlength]="maxLength"
      [attr.id]="id"
      [attr.mt]="mt"
      [attr.mr]="mr"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.handletrailingiconclick]="handleTrailingIconClick"
      [attr.textalign]="textAlign"
      (_trailingIconClick)="_onTrailingIconClick($event)"
      (_change)="_onChange($event)"
      (_focus)="_onFocus($event)"
      (_blur)="_onBlur($event)"
      (_keypress)="_onKeyPress($event)"
      [attr.trailingiconarialabel]="trailingIconAriaLabel"
    >
      <ng-content />
    </goa-input>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabInputNumber, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-input-number",
                    template: `
    <goa-input
      [attr.type]="type"
      [attr.name]="name"
      [attr.focused]="focused"
      [attr.value]="value !== null ? value : ''"
      [attr.autocapitalize]="autoCapitalize"
      [attr.placeholder]="placeholder"
      [attr.leadingicon]="leadingIcon"
      [attr.trailingicon]="trailingIcon"
      [attr.variant]="variant"
      [disabled]="disabled"
      [attr.readonly]="readonly"
      [attr.error]="error"
      [attr.data-testid]="testId"
      [attr.width]="width"
      [attr.arialabel]="ariaLabel"
      [attr.arialabelledby]="ariaLabelledBy"
      [attr.min]="min"
      [attr.max]="max"
      [attr.step]="step"
      [attr.prefix]="prefix"
      [attr.suffix]="suffix"
      [attr.debounce]="debounce"
      [attr.maxlength]="maxLength"
      [attr.id]="id"
      [attr.mt]="mt"
      [attr.mr]="mr"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.handletrailingiconclick]="handleTrailingIconClick"
      [attr.textalign]="textAlign"
      (_trailingIconClick)="_onTrailingIconClick($event)"
      (_change)="_onChange($event)"
      (_focus)="_onFocus($event)"
      (_blur)="_onBlur($event)"
      (_keypress)="_onKeyPress($event)"
      [attr.trailingiconarialabel]="trailingIconAriaLabel"
    >
      <ng-content />
    </goa-input>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            multi: true,
                            // Use forwardRef with the new class name
                            useExisting: forwardRef(() => GoabInputNumber),
                        },
                    ],
                }]
        }], propDecorators: { type: [{
                type: Input
            }], name: [{
                type: Input
            }], id: [{
                type: Input
            }], debounce: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], disabled: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], autoCapitalize: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], leadingIcon: [{
                type: Input
            }], trailingIcon: [{
                type: Input
            }], variant: [{
                type: Input
            }], focused: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], readonly: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], error: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], width: [{
                type: Input
            }], prefix: [{
                type: Input
            }], suffix: [{
                type: Input
            }], testId: [{
                type: Input
            }], ariaLabel: [{
                type: Input
            }], maxLength: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], min: [{
                type: Input
            }], max: [{
                type: Input
            }], step: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], ariaLabelledBy: [{
                type: Input
            }], mt: [{
                type: Input
            }], mr: [{
                type: Input
            }], mb: [{
                type: Input
            }], ml: [{
                type: Input
            }], trailingIconAriaLabel: [{
                type: Input
            }], textAlign: [{
                type: Input
            }], value: [{
                type: Input
            }], onTrailingIconClick: [{
                type: Output
            }], onFocus: [{
                type: Output
            }], onBlur: [{
                type: Output
            }], onKeyPress: [{
                type: Output
            }], onChange: [{
                type: Output
            }] } });

class GoabLink {
    constructor() {
        this.JSON = JSON;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabLink, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabLink, isStandalone: true, selector: "goab-link", inputs: { leadingIcon: "leadingIcon", trailingIcon: "trailingIcon", testId: "testId", action: "action", actionArg: "actionArg", actionArgs: "actionArgs", mt: "mt", mb: "mb", ml: "ml", mr: "mr" }, ngImport: i0, template: `
    <goa-link
      [attr.leadingicon]="leadingIcon"
      [attr.trailingicon]="trailingIcon"
      [attr.testid]="testId"
      [attr.action]="action"
      [attr.action-arg]="actionArg"
      [attr.action-args]="JSON.stringify(actionArgs)"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-link>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabLink, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-link",
                    template: `
    <goa-link
      [attr.leadingicon]="leadingIcon"
      [attr.trailingicon]="trailingIcon"
      [attr.testid]="testId"
      [attr.action]="action"
      [attr.action-arg]="actionArg"
      [attr.action-args]="JSON.stringify(actionArgs)"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-link>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { leadingIcon: [{
                type: Input
            }], trailingIcon: [{
                type: Input
            }], testId: [{
                type: Input
            }], action: [{
                type: Input
            }], actionArg: [{
                type: Input
            }], actionArgs: [{
                type: Input
            }], mt: [{
                type: Input
            }], mb: [{
                type: Input
            }], ml: [{
                type: Input
            }], mr: [{
                type: Input
            }] } });

class GoabMicrositeHeader {
    constructor() {
        this.onFeedbackClick = new EventEmitter();
    }
    getVersionAsString() {
        return typeof this.version === "string" ? this.version : "";
    }
    getVersionAsTemplate() {
        if (!this.version)
            return null;
        return this.version instanceof TemplateRef ? this.version : null;
    }
    _onFeedbackClick() {
        this.onFeedbackClick.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabMicrositeHeader, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabMicrositeHeader, isStandalone: true, selector: "goab-microsite-header", inputs: { type: "type", version: "version", feedbackUrl: "feedbackUrl", testId: "testId", maxContentWidth: "maxContentWidth", feedbackUrlTarget: "feedbackUrlTarget", headerUrlTarget: "headerUrlTarget" }, outputs: { onFeedbackClick: "onFeedbackClick" }, ngImport: i0, template: `
    <goa-microsite-header
      [attr.type]="type"
      [attr.version]="getVersionAsString()"
      [attr.feedbackurl]="feedbackUrl"
      [attr.maxcontentwidth]="maxContentWidth"
      [attr.feedbackurltarget]="feedbackUrlTarget"
      [attr.headerurltarget]="headerUrlTarget"
      [attr.testid]="testId"
      [attr.hasfeedbackhandler]="!!onFeedbackClick"
      (_feedbackClick)="_onFeedbackClick()"
    >
      <div slot="version">
        <ng-container [ngTemplateOutlet]="getVersionAsTemplate()"></ng-container>
      </div>
    </goa-microsite-header>
  `, isInline: true, dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabMicrositeHeader, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-microsite-header",
                    template: `
    <goa-microsite-header
      [attr.type]="type"
      [attr.version]="getVersionAsString()"
      [attr.feedbackurl]="feedbackUrl"
      [attr.maxcontentwidth]="maxContentWidth"
      [attr.feedbackurltarget]="feedbackUrlTarget"
      [attr.headerurltarget]="headerUrlTarget"
      [attr.testid]="testId"
      [attr.hasfeedbackhandler]="!!onFeedbackClick"
      (_feedbackClick)="_onFeedbackClick()"
    >
      <div slot="version">
        <ng-container [ngTemplateOutlet]="getVersionAsTemplate()"></ng-container>
      </div>
    </goa-microsite-header>
  `,
                    imports: [NgTemplateOutlet],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }], propDecorators: { type: [{
                type: Input,
                args: [{ required: true }]
            }], version: [{
                type: Input
            }], feedbackUrl: [{
                type: Input
            }], testId: [{
                type: Input
            }], maxContentWidth: [{
                type: Input
            }], feedbackUrlTarget: [{
                type: Input
            }], headerUrlTarget: [{
                type: Input
            }], onFeedbackClick: [{
                type: Output
            }] } });

class GoabModal {
    constructor() {
        this.closable = false;
        this.onClose = new EventEmitter();
    }
    getHeadingAsString() {
        return this.heading instanceof TemplateRef ? "" : this.heading;
    }
    getHeadingAsTemplate() {
        if (!this.heading)
            return null;
        return this.heading instanceof TemplateRef ? this.heading : null;
    }
    _onClose() {
        this.onClose.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabModal, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabModal, isStandalone: true, selector: "goab-modal", inputs: { calloutVariant: "calloutVariant", open: ["open", "open", booleanAttribute], maxWidth: "maxWidth", closable: "closable", transition: "transition", testId: "testId", role: "role", heading: "heading", actions: "actions" }, outputs: { onClose: "onClose" }, ngImport: i0, template: `
    <goa-modal
      [attr.calloutvariant]="calloutVariant"
      [attr.open]="open"
      [attr.maxwidth]="maxWidth"
      [attr.testid]="testId"
      [attr.role]="role"
      [attr.closable]="closable"
      [attr.transition]="transition"
      [attr.heading]="getHeadingAsString()"
      (_close)="_onClose()"
    >
      <div slot="heading">
        <ng-container *ngIf="this.heading !== '' && getHeadingAsTemplate() !== null" [ngTemplateOutlet]="getHeadingAsTemplate()"></ng-container>
      </div>

      <ng-content></ng-content>

      <div slot="actions">
        <ng-container *ngIf="this.actions" [ngTemplateOutlet]="actions"></ng-container>
      </div>
    </goa-modal>
  `, isInline: true, dependencies: [{ kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabModal, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-modal",
                    imports: [NgIf, NgTemplateOutlet],
                    template: `
    <goa-modal
      [attr.calloutvariant]="calloutVariant"
      [attr.open]="open"
      [attr.maxwidth]="maxWidth"
      [attr.testid]="testId"
      [attr.role]="role"
      [attr.closable]="closable"
      [attr.transition]="transition"
      [attr.heading]="getHeadingAsString()"
      (_close)="_onClose()"
    >
      <div slot="heading">
        <ng-container *ngIf="this.heading !== '' && getHeadingAsTemplate() !== null" [ngTemplateOutlet]="getHeadingAsTemplate()"></ng-container>
      </div>

      <ng-content></ng-content>

      <div slot="actions">
        <ng-container *ngIf="this.actions" [ngTemplateOutlet]="actions"></ng-container>
      </div>
    </goa-modal>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { calloutVariant: [{
                type: Input
            }], open: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], maxWidth: [{
                type: Input
            }], closable: [{
                type: Input
            }], transition: [{
                type: Input
            }], testId: [{
                type: Input
            }], role: [{
                type: Input
            }], heading: [{
                type: Input
            }], actions: [{
                type: Input
            }], onClose: [{
                type: Output
            }] } });

class GoabNotification {
    constructor() {
        this.type = "information";
        this.onDismiss = new EventEmitter();
    }
    _onDismiss() {
        this.onDismiss.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabNotification, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabNotification, isStandalone: true, selector: "goab-notification", inputs: { type: "type", ariaLive: "ariaLive", maxContentWidth: "maxContentWidth", testId: "testId" }, outputs: { onDismiss: "onDismiss" }, ngImport: i0, template: `
    <goa-notification
      [attr.type]="type"
      [attr.arialive]="ariaLive"
      [attr.maxcontentwidth]="maxContentWidth"
      [attr.testid]="testId"
      (_dismiss)="_onDismiss()"
    >
      <ng-content />
    </goa-notification>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabNotification, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-notification",
                    template: `
    <goa-notification
      [attr.type]="type"
      [attr.arialive]="ariaLive"
      [attr.maxcontentwidth]="maxContentWidth"
      [attr.testid]="testId"
      (_dismiss)="_onDismiss()"
    >
      <ng-content />
    </goa-notification>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { type: [{
                type: Input
            }], ariaLive: [{
                type: Input
            }], maxContentWidth: [{
                type: Input
            }], testId: [{
                type: Input
            }], onDismiss: [{
                type: Output
            }] } });

class GoabPages extends GoabBaseComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabPages, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabPages, isStandalone: true, selector: "goab-pages", inputs: { current: ["current", "current", numberAttribute] }, usesInheritance: true, ngImport: i0, template: `
    <goa-pages
      [attr.current]="current"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-pages>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabPages, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-pages",
                    template: `
    <goa-pages
      [attr.current]="current"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-pages>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { current: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }] } });

class GoabPagination extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.perPageCount = 10;
        this.variant = "all";
        this.onChange = new EventEmitter();
    }
    _onChange(e) {
        const detail = e.detail;
        this.onChange.emit(detail);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabPagination, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabPagination, isStandalone: true, selector: "goab-pagination", inputs: { itemCount: "itemCount", pageNumber: "pageNumber", perPageCount: "perPageCount", variant: "variant" }, outputs: { onChange: "onChange" }, usesInheritance: true, ngImport: i0, template: `
    <goa-pagination
      [attr.itemcount]="itemCount"
      [attr.perpagecount]="perPageCount"
      [attr.pagenumber]="pageNumber"
      [attr.variant]="variant"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_change)="_onChange($event)"
    >
    </goa-pagination>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabPagination, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-pagination",
                    template: `
    <goa-pagination
      [attr.itemcount]="itemCount"
      [attr.perpagecount]="perPageCount"
      [attr.pagenumber]="pageNumber"
      [attr.variant]="variant"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_change)="_onChange($event)"
    >
    </goa-pagination>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { itemCount: [{
                type: Input,
                args: [{ required: true }]
            }], pageNumber: [{
                type: Input,
                args: [{ required: true }]
            }], perPageCount: [{
                type: Input
            }], variant: [{
                type: Input
            }], onChange: [{
                type: Output
            }] } });

class GoabPopover extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.maxWidth = "320px";
        this.padded = true;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabPopover, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabPopover, isStandalone: true, selector: "goab-popover", inputs: { maxWidth: "maxWidth", minWidth: "minWidth", padded: "padded", position: "position", relative: "relative", target: "target" }, usesInheritance: true, ngImport: i0, template: `
    <goa-popover
      [attr.maxwidth]="maxWidth"
      [attr.minwidth]="minWidth"
      [attr.padded]="padded"
      [attr.position]="position"
      [attr.relative]="relative"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content></ng-content>
      <div slot="target">
        <ng-container [ngTemplateOutlet]="target"></ng-container>
      </div>
    </goa-popover>
  `, isInline: true, dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabPopover, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-popover",
                    imports: [NgTemplateOutlet],
                    template: `
    <goa-popover
      [attr.maxwidth]="maxWidth"
      [attr.minwidth]="minWidth"
      [attr.padded]="padded"
      [attr.position]="position"
      [attr.relative]="relative"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content></ng-content>
      <div slot="target">
        <ng-container [ngTemplateOutlet]="target"></ng-container>
      </div>
    </goa-popover>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { maxWidth: [{
                type: Input
            }], minWidth: [{
                type: Input
            }], padded: [{
                type: Input
            }], position: [{
                type: Input
            }], relative: [{
                type: Input
            }], target: [{
                type: Input,
                args: [{ required: true }]
            }] } });

class GoabRadioGroup extends GoabControlValueAccessor {
    constructor() {
        super(...arguments);
        this.onChange = new EventEmitter();
    }
    _onChange(e) {
        const detail = e.detail;
        this.markAsTouched();
        this.onChange.emit(detail);
        this.fcChange?.(detail.value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabRadioGroup, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabRadioGroup, isStandalone: true, selector: "goab-radio-group", inputs: { name: "name", orientation: "orientation", ariaLabel: "ariaLabel" }, outputs: { onChange: "onChange" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                multi: true,
                useExisting: forwardRef(() => GoabRadioGroup),
            },
        ], usesInheritance: true, ngImport: i0, template: `
    <goa-radio-group
      [attr.name]="name"
      [attr.value]="value"
      [disabled]="disabled"
      [attr.orientation]="orientation"
      [attr.error]="error"
      [attr.arialabel]="ariaLabel"
      [id]="id"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_change)="_onChange($event)"
    >
      <ng-content />
    </goa-radio-group>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabRadioGroup, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-radio-group",
                    template: `
    <goa-radio-group
      [attr.name]="name"
      [attr.value]="value"
      [disabled]="disabled"
      [attr.orientation]="orientation"
      [attr.error]="error"
      [attr.arialabel]="ariaLabel"
      [id]="id"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_change)="_onChange($event)"
    >
      <ng-content />
    </goa-radio-group>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            multi: true,
                            useExisting: forwardRef(() => GoabRadioGroup),
                        },
                    ],
                }]
        }], propDecorators: { name: [{
                type: Input
            }], orientation: [{
                type: Input
            }], ariaLabel: [{
                type: Input
            }], onChange: [{
                type: Output
            }] } });

class GoabRadioItem extends GoabBaseComponent {
    getDescriptionAsString() {
        return !this.description || this.description instanceof TemplateRef
            ? ""
            : this.description;
    }
    getDescriptionAsTemplate() {
        if (!this.description)
            return null;
        return this.description instanceof TemplateRef ? this.description : null;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabRadioItem, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabRadioItem, isStandalone: true, selector: "goab-radio-item", inputs: { value: "value", label: "label", name: "name", description: "description", reveal: "reveal", ariaLabel: "ariaLabel", revealAriaLabel: "revealAriaLabel", disabled: ["disabled", "disabled", booleanAttribute], checked: ["checked", "checked", booleanAttribute], error: ["error", "error", booleanAttribute], maxWidth: "maxWidth" }, usesInheritance: true, ngImport: i0, template: `
    <goa-radio-item
      [attr.name]="name"
      [attr.value]="value"
      [attr.label]="label"
      [attr.description]="getDescriptionAsString()"
      [attr.arialabel]="ariaLabel"
      [attr.revealarialabel]="revealAriaLabel"
      [disabled]="disabled"
      [attr.maxwidth]="maxWidth"
      [attr.checked]="checked"
      [attr.error]="error"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
      <div slot="description">
        <ng-container [ngTemplateOutlet]="getDescriptionAsTemplate()"></ng-container>
      </div>
      <div slot="reveal">
        <ng-container
          *ngIf="this.reveal"
          [ngTemplateOutlet]="reveal"
        ></ng-container>
      </div>
    </goa-radio-item>
  `, isInline: true, dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabRadioItem, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-radio-item",
                    template: `
    <goa-radio-item
      [attr.name]="name"
      [attr.value]="value"
      [attr.label]="label"
      [attr.description]="getDescriptionAsString()"
      [attr.arialabel]="ariaLabel"
      [attr.revealarialabel]="revealAriaLabel"
      [disabled]="disabled"
      [attr.maxwidth]="maxWidth"
      [attr.checked]="checked"
      [attr.error]="error"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
      <div slot="description">
        <ng-container [ngTemplateOutlet]="getDescriptionAsTemplate()"></ng-container>
      </div>
      <div slot="reveal">
        <ng-container
          *ngIf="this.reveal"
          [ngTemplateOutlet]="reveal"
        ></ng-container>
      </div>
    </goa-radio-item>
  `,
                    imports: [NgTemplateOutlet, NgIf],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { value: [{
                type: Input
            }], label: [{
                type: Input
            }], name: [{
                type: Input
            }], description: [{
                type: Input
            }], reveal: [{
                type: Input
            }], ariaLabel: [{
                type: Input
            }], revealAriaLabel: [{
                type: Input
            }], disabled: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], checked: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], error: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], maxWidth: [{
                type: Input
            }] } });

class GoabSideMenu {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabSideMenu, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabSideMenu, isStandalone: true, selector: "goab-side-menu", inputs: { testId: "testId" }, ngImport: i0, template: `
    <goa-side-menu [attr.testid]="testId">
      <ng-content />
    </goa-side-menu>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabSideMenu, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-side-menu",
                    template: `
    <goa-side-menu [attr.testid]="testId">
      <ng-content />
    </goa-side-menu>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }], propDecorators: { testId: [{
                type: Input
            }] } });

class GoabSideMenuGroup extends GoabBaseComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabSideMenuGroup, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabSideMenuGroup, isStandalone: true, selector: "goab-side-menu-group", inputs: { heading: "heading", icon: "icon" }, usesInheritance: true, ngImport: i0, template: `
    <goa-side-menu-group
      [attr.heading]="heading"
      [attr.testid]="testId"
      [attr.icon]="icon"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-side-menu-group>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabSideMenuGroup, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-side-menu-group",
                    template: `
    <goa-side-menu-group
      [attr.heading]="heading"
      [attr.testid]="testId"
      [attr.icon]="icon"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-side-menu-group>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { heading: [{
                type: Input,
                args: [{ required: true }]
            }], icon: [{
                type: Input
            }] } });

class GoabSideMenuHeading {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabSideMenuHeading, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabSideMenuHeading, isStandalone: true, selector: "goab-side-menu-heading", inputs: { icon: "icon", testId: "testId", meta: "meta" }, ngImport: i0, template: `
    <goa-side-menu-heading [attr.testid]="testId" [attr.icon]="icon">
      <ng-content />
      <span slot="meta">
        <ng-container [ngTemplateOutlet]="meta"></ng-container>
      </span>
    </goa-side-menu-heading>
  `, isInline: true, dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabSideMenuHeading, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-side-menu-heading",
                    imports: [NgTemplateOutlet],
                    template: `
    <goa-side-menu-heading [attr.testid]="testId" [attr.icon]="icon">
      <ng-content />
      <span slot="meta">
        <ng-container [ngTemplateOutlet]="meta"></ng-container>
      </span>
    </goa-side-menu-heading>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { icon: [{
                type: Input
            }], testId: [{
                type: Input
            }], meta: [{
                type: Input
            }] } });

class GoabSkeleton extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.maxWidth = "300px";
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabSkeleton, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabSkeleton, isStandalone: true, selector: "goab-skeleton", inputs: { type: "type", maxWidth: "maxWidth", size: "size", lineCount: ["lineCount", "lineCount", numberAttribute] }, usesInheritance: true, ngImport: i0, template: `
    <goa-skeleton
      [attr.maxwidth]="maxWidth"
      [attr.size]="size"
      [attr.linecount]="lineCount"
      [attr.type]="type"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
    </goa-skeleton>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabSkeleton, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-skeleton",
                    template: `
    <goa-skeleton
      [attr.maxwidth]="maxWidth"
      [attr.size]="size"
      [attr.linecount]="lineCount"
      [attr.type]="type"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
    </goa-skeleton>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { type: [{
                type: Input,
                args: [{ required: true }]
            }], maxWidth: [{
                type: Input
            }], size: [{
                type: Input
            }], lineCount: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }] } });

class GoabSpacer {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabSpacer, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabSpacer, isStandalone: true, selector: "goab-spacer", inputs: { hSpacing: "hSpacing", vSpacing: "vSpacing", testId: "testId" }, ngImport: i0, template: `
    <goa-spacer
      [attr.hspacing]="hSpacing"
      [attr.vspacing]="vSpacing"
      [attr.testid]="testId"
    >
    </goa-spacer>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabSpacer, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-spacer",
                    template: `
    <goa-spacer
      [attr.hspacing]="hSpacing"
      [attr.vspacing]="vSpacing"
      [attr.testid]="testId"
    >
    </goa-spacer>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { hSpacing: [{
                type: Input
            }], vSpacing: [{
                type: Input
            }], testId: [{
                type: Input
            }] } });

class GoabTab {
    getHeadingAsString() {
        return this.heading instanceof TemplateRef ? "" : this.heading;
    }
    getHeadingAsTemplate() {
        if (!this.heading)
            return null;
        return this.heading instanceof TemplateRef ? this.heading : null;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabTab, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabTab, isStandalone: true, selector: "goab-tab", inputs: { heading: "heading" }, ngImport: i0, template: `
    <goa-tab>
      <ng-content />
      <div slot="heading">
        <ng-container [ngTemplateOutlet]="getHeadingAsTemplate()"></ng-container>
        {{getHeadingAsString()}}
      </div>
    </goa-tab>
  `, isInline: true, dependencies: [{ kind: "directive", type: NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabTab, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-tab",
                    template: `
    <goa-tab>
      <ng-content />
      <div slot="heading">
        <ng-container [ngTemplateOutlet]="getHeadingAsTemplate()"></ng-container>
        {{getHeadingAsString()}}
      </div>
    </goa-tab>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                    imports: [NgTemplateOutlet]
                }]
        }], propDecorators: { heading: [{
                type: Input
            }] } });

class GoabTable extends GoabBaseComponent {
    constructor() {
        super(...arguments);
        this.onSort = new EventEmitter();
    }
    _onSort(e) {
        const detail = e.detail;
        this.onSort.emit(detail);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabTable, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabTable, isStandalone: true, selector: "goab-table", inputs: { width: "width", variant: "variant" }, outputs: { onSort: "onSort" }, usesInheritance: true, ngImport: i0, template: `
    <goa-table
      [attr.width]="width"
      [attr.variant]="variant"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_sort)="_onSort($event)"
    >
      <table style="width: 100%;">
        <ng-content />
      </table>
    </goa-table>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabTable, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-table",
                    template: `
    <goa-table
      [attr.width]="width"
      [attr.variant]="variant"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_sort)="_onSort($event)"
    >
      <table style="width: 100%;">
        <ng-content />
      </table>
    </goa-table>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { width: [{
                type: Input
            }], variant: [{
                type: Input
            }], onSort: [{
                type: Output
            }] } });

class GoabTableSortHeader {
    constructor() {
        this.direction = "none";
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabTableSortHeader, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabTableSortHeader, isStandalone: true, selector: "goab-table-sort-header", inputs: { name: "name", direction: "direction" }, ngImport: i0, template: `
    <goa-table-sort-header
      [attr.name]="name"
      [attr.direction]="direction"
    >
      <ng-content />
    </goa-table-sort-header>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabTableSortHeader, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-table-sort-header",
                    template: `
    <goa-table-sort-header
      [attr.name]="name"
      [attr.direction]="direction"
    >
      <ng-content />
    </goa-table-sort-header>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }], propDecorators: { name: [{
                type: Input
            }], direction: [{
                type: Input
            }] } });

class GoabTabs {
    constructor() {
        this.onChange = new EventEmitter();
    }
    _onChange(e) {
        const detail = e.detail;
        this.onChange.emit(detail);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabTabs, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabTabs, isStandalone: true, selector: "goab-tabs", inputs: { initialTab: ["initialTab", "initialTab", numberAttribute], testId: "testId" }, outputs: { onChange: "onChange" }, ngImport: i0, template: `
    <goa-tabs
      [attr.initialtab]="initialTab"
      [attr.testid]="testId"
      (_change)="_onChange($event)"
    >
      <ng-content />
    </goa-tabs>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabTabs, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-tabs",
                    template: `
    <goa-tabs
      [attr.initialtab]="initialTab"
      [attr.testid]="testId"
      (_change)="_onChange($event)"
    >
      <ng-content />
    </goa-tabs>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { initialTab: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], testId: [{
                type: Input
            }], onChange: [{
                type: Output
            }] } });

class GoabText {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabText, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabText, isStandalone: true, selector: "goab-text", inputs: { tag: "tag", size: "size", maxWidth: "maxWidth", color: "color", mt: "mt", mb: "mb", ml: "ml", mr: "mr" }, ngImport: i0, template: `
    <goa-text
      [attr.as]="tag"
      [attr.size]="size"
      [attr.maxwidth]="maxWidth"
      [attr.color]="color"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr">
      <ng-content />
    </goa-text>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabText, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: 'goab-text',
                    template: `
    <goa-text
      [attr.as]="tag"
      [attr.size]="size"
      [attr.maxwidth]="maxWidth"
      [attr.color]="color"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr">
      <ng-content />
    </goa-text>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }], propDecorators: { tag: [{
                type: Input
            }], size: [{
                type: Input
            }], maxWidth: [{
                type: Input
            }], color: [{
                type: Input
            }], mt: [{
                type: Input
            }], mb: [{
                type: Input
            }], ml: [{
                type: Input
            }], mr: [{
                type: Input
            }] } });

class GoabTextArea extends GoabControlValueAccessor {
    constructor() {
        super(...arguments);
        this.countBy = "";
        this.maxCount = -1;
        this.onChange = new EventEmitter();
        this.onKeyPress = new EventEmitter();
    }
    _onChange(e) {
        const detail = e.detail;
        this.onChange.emit(detail);
        this.markAsTouched();
        this.fcChange?.(detail.value);
    }
    _onKeyPress(e) {
        const detail = e.detail;
        this.markAsTouched();
        this.onKeyPress.emit(detail);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabTextArea, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "16.1.0", version: "18.0.3", type: GoabTextArea, isStandalone: true, selector: "goab-textarea", inputs: { name: "name", placeholder: "placeholder", rows: ["rows", "rows", numberAttribute], readOnly: ["readOnly", "readOnly", booleanAttribute], width: "width", ariaLabel: "ariaLabel", countBy: "countBy", maxCount: "maxCount", maxWidth: "maxWidth" }, outputs: { onChange: "onChange", onKeyPress: "onKeyPress" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                multi: true,
                useExisting: forwardRef(() => GoabTextArea),
            },
        ], usesInheritance: true, ngImport: i0, template: `
    <goa-textarea
      [attr.name]="name"
      [attr.value]="value"
      [attr.placeholder]="placeholder"
      [attr.rows]="rows"
      [attr.error]="error"
      [disabled]="disabled"
      [attr.readonly]="readOnly"
      [attr.width]="width"
      [attr.maxwidth]="maxWidth"
      [attr.arialabel]="ariaLabel"
      [attr.countby]="countBy"
      [attr.maxcount]="maxCount"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_change)="_onChange($event)"
      (_keyPress)="_onKeyPress($event)"
    >
    </goa-textarea>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabTextArea, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-textarea",
                    template: `
    <goa-textarea
      [attr.name]="name"
      [attr.value]="value"
      [attr.placeholder]="placeholder"
      [attr.rows]="rows"
      [attr.error]="error"
      [disabled]="disabled"
      [attr.readonly]="readOnly"
      [attr.width]="width"
      [attr.maxwidth]="maxWidth"
      [attr.arialabel]="ariaLabel"
      [attr.countby]="countBy"
      [attr.maxcount]="maxCount"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
      (_change)="_onChange($event)"
      (_keyPress)="_onKeyPress($event)"
    >
    </goa-textarea>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            multi: true,
                            useExisting: forwardRef(() => GoabTextArea),
                        },
                    ],
                }]
        }], propDecorators: { name: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], rows: [{
                type: Input,
                args: [{ transform: numberAttribute }]
            }], readOnly: [{
                type: Input,
                args: [{ transform: booleanAttribute }]
            }], width: [{
                type: Input
            }], ariaLabel: [{
                type: Input
            }], countBy: [{
                type: Input
            }], maxCount: [{
                type: Input
            }], maxWidth: [{
                type: Input
            }], onChange: [{
                type: Output
            }], onKeyPress: [{
                type: Output
            }] } });

class GoabTooltip extends GoabBaseComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabTooltip, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.0.3", type: GoabTooltip, isStandalone: true, selector: "goab-tooltip", inputs: { position: "position", content: "content", hAlign: "hAlign" }, usesInheritance: true, ngImport: i0, template: `
    <goa-tooltip
      [attr.position]="position"
      [attr.content]="content"
      [attr.halign]="hAlign"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-tooltip>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.0.3", ngImport: i0, type: GoabTooltip, decorators: [{
            type: Component,
            args: [{
                    standalone: true,
                    selector: "goab-tooltip",
                    template: `
    <goa-tooltip
      [attr.position]="position"
      [attr.content]="content"
      [attr.halign]="hAlign"
      [attr.testid]="testId"
      [attr.mt]="mt"
      [attr.mb]="mb"
      [attr.ml]="ml"
      [attr.mr]="mr"
    >
      <ng-content />
    </goa-tooltip>
  `,
                    schemas: [CUSTOM_ELEMENTS_SCHEMA],
                }]
        }], propDecorators: { position: [{
                type: Input
            }], content: [{
                type: Input
            }], hAlign: [{
                type: Input
            }] } });

/**
 * Generated bundle index. Do not edit.
 */

export { AngularComponentsModule, CheckedDirective, GoabAccordion, GoabAppFooter, GoabAppFooterMetaSection, GoabAppFooterNavSection, GoabAppHeader, GoabAppHeaderMenu, GoabBadge, GoabBlock, GoabButton, GoabButtonGroup, GoabCallout, GoabCard, GoabCardActions, GoabCardContent, GoabCardImage, GoabCheckbox, GoabChip, GoabCircularProgress, GoabColumnLayout, GoabContainer, GoabDatePicker, GoabDetails, GoabDivider, GoabDrawer, GoabDropdown, GoabDropdownItem, GoabFieldset, GoabFileUploadCard, GoabFileUploadInput, GoabFilterChip, GoabFormItem, GoabFormItemSlot, GoabFormStep, GoabFormStepper, GoabGrid, GoabHeroBanner, GoabIcon, GoabIconButton, GoabInput, GoabInputNumber, GoabLink, GoabMicrositeHeader, GoabModal, GoabNotification, GoabPages, GoabPagination, GoabPopover, GoabPublicForm, GoabPublicFormPage, GoabPublicFormSummary, GoabRadioGroup, GoabRadioItem, GoabSideMenu, GoabSideMenuGroup, GoabSideMenuHeading, GoabSkeleton, GoabSpacer, GoabTab, GoabTable, GoabTableSortHeader, GoabTabs, GoabText, GoabTextArea, GoabTooltip, ValueDirective, ValueListDirective };
//# sourceMappingURL=abgov-angular-components.mjs.map
