import { EventEmitter } from "@angular/core";
import { GoabBaseComponent } from "../base.component";
import { GoabPublicFormPageButtonVisibility, GoabPublicFormPageOnFieldsetChangeDetail, GoabPublicFormPageOnCompleteDetail, GoabPublicFormPageStep } from "@abgov/ui-components-common";
import * as i0 from "@angular/core";
export declare class GoabPublicFormPage extends GoabBaseComponent {
    id: string;
    heading: string;
    subHeading: string;
    summaryHeading: string;
    sectionTitle: string;
    backUrl: string;
    type: GoabPublicFormPageStep;
    buttonText: string;
    buttonVisibility: GoabPublicFormPageButtonVisibility;
    first: boolean;
    last: boolean;
    /**
     * triggers when the form page continues to the next step
     */
    onContinue: EventEmitter<Event>;
    /**
     * triggers when the user clicks the back link
     */
    onBack: EventEmitter<Event>;
    /**
     * triggers when the form fieldset content changes
     */
    onFieldsetChange: EventEmitter<GoabPublicFormPageOnFieldsetChangeDetail>;
    /**
     * triggers when the form is completed
     */
    onComplete: EventEmitter<GoabPublicFormPageOnCompleteDetail>;
    _onContinue(event: Event): void;
    _onBack(event: Event): void;
    _onFieldsetChange(event: Event): void;
    _onComplete(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabPublicFormPage, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabPublicFormPage, "goab-public-form-page", never, { "id": { "alias": "id"; "required": false; }; "heading": { "alias": "heading"; "required": false; }; "subHeading": { "alias": "subHeading"; "required": false; }; "summaryHeading": { "alias": "summaryHeading"; "required": false; }; "sectionTitle": { "alias": "sectionTitle"; "required": false; }; "backUrl": { "alias": "backUrl"; "required": false; }; "type": { "alias": "type"; "required": false; }; "buttonText": { "alias": "buttonText"; "required": false; }; "buttonVisibility": { "alias": "buttonVisibility"; "required": false; }; "first": { "alias": "first"; "required": false; }; "last": { "alias": "last"; "required": false; }; }, { "onContinue": "onContinue"; "onBack": "onBack"; "onFieldsetChange": "onFieldsetChange"; "onComplete": "onComplete"; }, never, ["*"], true, never>;
}
