import { GoabIconType, GoabInputAutoCapitalize, GoabInputOnBlurDetail, GoabInputOnChangeDetail, GoabInputOnFocusDetail, GoabInputOnKeyPressDetail, GoabInputType, Spacing } from "@abgov/ui-components-common";
import { EventEmitter, OnInit } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class GoabInputNumber implements ControlValueAccessor, OnInit {
    type: GoabInputType;
    name?: string;
    id?: string;
    debounce?: number;
    disabled?: boolean;
    autoCapitalize?: GoabInputAutoCapitalize;
    placeholder?: string;
    leadingIcon?: GoabIconType;
    trailingIcon?: GoabIconType;
    variant?: string;
    focused?: boolean;
    readonly?: boolean;
    error?: boolean;
    width?: string;
    prefix?: string;
    suffix?: string;
    testId?: string;
    ariaLabel?: string;
    maxLength?: number;
    min?: string | number;
    max?: string | number;
    step?: number;
    ariaLabelledBy?: string;
    mt?: Spacing;
    mr?: Spacing;
    mb?: Spacing;
    ml?: Spacing;
    trailingIconAriaLabel?: string;
    textAlign?: "left" | "right";
    value: number | null;
    onTrailingIconClick: EventEmitter<void>;
    onFocus: EventEmitter<GoabInputOnFocusDetail>;
    onBlur: EventEmitter<GoabInputOnBlurDetail>;
    onKeyPress: EventEmitter<GoabInputOnKeyPressDetail>;
    onChange: EventEmitter<GoabInputOnChangeDetail>;
    handleTrailingIconClick: boolean;
    ngOnInit(): void;
    _onTrailingIconClick(_: Event): void;
    _onChange(e: Event): void;
    _onKeyPress(e: Event): void;
    _onFocus(e: Event): void;
    _onBlur(e: Event): void;
    private fcChange?;
    private fcTouched?;
    touched: boolean;
    markAsTouched(): void;
    writeValue(value: number | null): void;
    registerOnChange(fn: (value: number | null) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState?(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabInputNumber, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabInputNumber, "goab-input-number", never, { "type": { "alias": "type"; "required": false; }; "name": { "alias": "name"; "required": false; }; "id": { "alias": "id"; "required": false; }; "debounce": { "alias": "debounce"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "autoCapitalize": { "alias": "autoCapitalize"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "leadingIcon": { "alias": "leadingIcon"; "required": false; }; "trailingIcon": { "alias": "trailingIcon"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "focused": { "alias": "focused"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "error": { "alias": "error"; "required": false; }; "width": { "alias": "width"; "required": false; }; "prefix": { "alias": "prefix"; "required": false; }; "suffix": { "alias": "suffix"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "step": { "alias": "step"; "required": false; }; "ariaLabelledBy": { "alias": "ariaLabelledBy"; "required": false; }; "mt": { "alias": "mt"; "required": false; }; "mr": { "alias": "mr"; "required": false; }; "mb": { "alias": "mb"; "required": false; }; "ml": { "alias": "ml"; "required": false; }; "trailingIconAriaLabel": { "alias": "trailingIconAriaLabel"; "required": false; }; "textAlign": { "alias": "textAlign"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, { "onTrailingIconClick": "onTrailingIconClick"; "onFocus": "onFocus"; "onBlur": "onBlur"; "onKeyPress": "onKeyPress"; "onChange": "onChange"; }, never, ["*"], true, never>;
    static ngAcceptInputType_debounce: unknown;
    static ngAcceptInputType_disabled: unknown;
    static ngAcceptInputType_focused: unknown;
    static ngAcceptInputType_readonly: unknown;
    static ngAcceptInputType_error: unknown;
    static ngAcceptInputType_maxLength: unknown;
    static ngAcceptInputType_step: unknown;
}
