import { GoabIconType, GoabInputAutoCapitalize, GoabInputOnBlurDetail, GoabInputOnChangeDetail, GoabInputOnFocusDetail, GoabInputOnKeyPressDetail, GoabInputType } from "@abgov/ui-components-common";
import { EventEmitter, OnInit } from "@angular/core";
import { GoabControlValueAccessor } from "../base.component";
import * as i0 from "@angular/core";
export interface IgnoreMe {
    ignore: string;
}
export declare class GoabInput extends GoabControlValueAccessor implements OnInit {
    type?: GoabInputType;
    name?: string;
    debounce?: number;
    autoCapitalize?: GoabInputAutoCapitalize;
    placeholder?: string;
    leadingIcon?: GoabIconType;
    trailingIcon?: GoabIconType;
    variant?: string;
    focused?: boolean;
    readonly?: boolean;
    width?: string;
    prefix?: string;
    suffix?: string;
    ariaLabel?: string;
    maxLength?: number;
    min?: string | number;
    max?: string | number;
    step?: number;
    ariaLabelledBy?: string;
    trailingIconAriaLabel?: string;
    textAlign?: "left" | "right";
    onTrailingIconClick: EventEmitter<any>;
    onFocus: EventEmitter<GoabInputOnFocusDetail>;
    onBlur: EventEmitter<GoabInputOnBlurDetail>;
    onKeyPress: EventEmitter<GoabInputOnKeyPressDetail>;
    onChange: EventEmitter<GoabInputOnChangeDetail>;
    private handleTrailingIconClick;
    ngOnInit(): void;
    _onTrailingIconClick(_: Event): void;
    _onChange(e: Event): void;
    _onKeyPress(e: Event): void;
    _onFocus(e: Event): void;
    _onBlur(e: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GoabInput, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GoabInput, "goab-input", never, { "type": { "alias": "type"; "required": false; }; "name": { "alias": "name"; "required": false; }; "debounce": { "alias": "debounce"; "required": false; }; "autoCapitalize": { "alias": "autoCapitalize"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "leadingIcon": { "alias": "leadingIcon"; "required": false; }; "trailingIcon": { "alias": "trailingIcon"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "focused": { "alias": "focused"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "width": { "alias": "width"; "required": false; }; "prefix": { "alias": "prefix"; "required": false; }; "suffix": { "alias": "suffix"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "step": { "alias": "step"; "required": false; }; "ariaLabelledBy": { "alias": "ariaLabelledBy"; "required": false; }; "trailingIconAriaLabel": { "alias": "trailingIconAriaLabel"; "required": false; }; "textAlign": { "alias": "textAlign"; "required": false; }; }, { "onTrailingIconClick": "onTrailingIconClick"; "onFocus": "onFocus"; "onBlur": "onBlur"; "onKeyPress": "onKeyPress"; "onChange": "onChange"; }, never, ["*"], true, never>;
    static ngAcceptInputType_debounce: unknown;
    static ngAcceptInputType_focused: unknown;
    static ngAcceptInputType_readonly: unknown;
    static ngAcceptInputType_maxLength: unknown;
    static ngAcceptInputType_step: unknown;
}
