import { ElementRef } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import * as i0 from "@angular/core";
export declare class ValueDirective implements ControlValueAccessor {
    protected elementRef: ElementRef;
    private _value;
    private _disabled;
    onChange: any;
    onTouched: any;
    get value(): string;
    set value(val: string);
    writeValue(value: string): void;
    registerOnChange(fn: () => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    constructor(elementRef: ElementRef);
    listenForValueChange(value: string): void;
    listenForDisabledChange(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ValueDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ValueDirective, "[goaValue]", never, {}, {}, never, never, false, never>;
}
export declare class ValueListDirective implements ControlValueAccessor {
    protected elementRef: ElementRef;
    private _value?;
    onChange: any;
    onTouched: any;
    get value(): string[] | undefined;
    set value(val: string[] | undefined);
    writeValue(value?: string[]): void;
    registerOnChange(fn: () => void): void;
    registerOnTouched(fn: () => void): void;
    constructor(elementRef: ElementRef);
    listenForValueChange(value: string): void;
    _setValue(value?: string[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ValueListDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ValueListDirective, "[goaValueList]", never, {}, {}, never, never, false, never>;
}
